VAR 

// Status Register
  SREG, 

// Stack Pointer, Low und Hight 
  SPH, SPL, 

// General Interrupt Control Register
  GICR, 

// General Interrupt Flag Register
  GIFR, 

// Timer Interrupt Mask Register 
  TIMSK, 

// Timer Interrupt Flag Register
  TIFR, 

// Store Program Memory Control Register 
  SPMCR,

// TWI Control Register   
  TWCR,

// MCU Control Register
  MCUCR,

// MCU Control and Status Register
  MCUCSR, MCUSR,

// Timer/Counter Control Register
  TCCR0,

// Timer/Counter Register
  TCNT0,

// Oscillator Calibration Register
  OSCCAL,

// Special Function IO Register
  SFIOR,

// Timer/Counter Control Register A
  TCCR1A, 

// Timer/Counter Control Register B
  TCCR1B,

// Timer/Counter 1, Hight und Low
  TCNT1H, TCNT1L,     

// Output Compare Register 1 A, Hight und Low   
  OCR1AH, OCR1AL, 

// Output Compare Register 1 B, Hight und Low
  OCR1BH, OCR1BL, 

// Input Capture Register 1, Hight und Low
  ICR1H, ICR1L,

//Timer/Counter Control Register 
  TCCR2, 

// Timer/Counter 2
  TCNT2,
 
// Output Compare Register 2
  OCR2, 

// Asynchronous Status Register
  ASSR,

// Watchdog Timer Control Register
  WDTCR,

// USART Baud Rate Registers, Low und Hight
  UBRRH, UBRRL,

// USART Control and Status Register C
  UCSRC,

// USART I/O Data Register
  UDR,

// EEPROM Address Register, Hight und Low
  EEARH, EEARL, 

// EEPROM Data Register
  EEDR, 

// EEPROM Control Register
  EECR,

// SPI Data Register
  SPDR,

// SPI Status Register
  SPSR,

// SPI Control Register
  SPCR, 

// USART Control and Status Register A
  UCSRA, 

// USART Control and Status Register B
  UCSRB, 

// Analog Comparator Control and Status Register
  ACSR,

// ADC Multiplexer Selection Register 
  ADMUX, 

// ADC Control and Status Register A
  ADCSR, ADCSRA,

// ADC Data Register, Hight und Low
  ADCH, ADCL, 

// TWI Data Register
  TWDR, 

// TWI Address Register
  TWAR,

// TWI Status Register 
  TWSR,

// TWI Bit Rate Register 
  TWBR,

// Port B
  PORTB, DDRB, PINB, 

// Port C
  PORTC, DDRC, PINC, 

// Port D
  PORTD, DDRD, PIND,   
                  
  : ByteConReg; 


  UBRR,

// The EEPROM Address Register 
  EEAR,

// 16-bit value of the counter
  TCNT1, 

// Output Compare Register 1 A (Adresse von OCR1AL)
  OCR1A, 

// Output Compare Register 1 B (Adresse von OCR1BL)
  OCR1B,

// Input Capture Register 1 (Adresse von ICR1L)
  ICR1,

// Analog-to-Digital Converter (Adresse von ADCL)
  ADCHL : WordConReg;



  RXC[UCSRA,7] : Bit;
  TXC[UCSRA,6] : Bit;
  UDRE[UCSRA,5] : Bit; 



// *** ISR-Liste ***
//
ISR_LISTE( 2,'INT0addr' ,'EI_INT0'      ,'External Interrupt Request 0');
ISR_LISTE( 3,'INT1addr' ,'EI_INT1'      ,'External Interrupt Request 1');
ISR_LISTE( 4,'OC2addr'  ,'TIMER2_COMP'  ,'Timer/Counter2 Compare Match');
ISR_LISTE( 5,'OVF2addr' ,'TIMER2_OVF'   ,'Timer/Counter2 Overflow');
ISR_LISTE( 6,'ICP1addr' ,'TIMER1_CAPT'  ,'Timer/Counter1 Capture Event');
ISR_LISTE( 7,'OC1Aaddr' ,'TIMER1_COMPA' ,'Timer/Counter1 Compare Match A');
ISR_LISTE( 8,'OC1Baddr' ,'TIMER1_COMPB' ,'Timer/Counter1 Compare Match B');
ISR_LISTE( 9,'OVF1addr' ,'TIMER1_OVF'   ,'Timer/Counter1 Overflow');
ISR_LISTE(10,'OVF0addr' ,'TIMER0_OVF'   ,'Timer/Counter0 Overflow');
ISR_LISTE(11,'SPIaddr'  ,'SPI_STC'      ,'Serial Transfer Complete');
ISR_LISTE(12,'URXCaddr' ,'USART_RXC'    ,'USART, Rx Complete');
ISR_LISTE(13,'UDREaddr' ,'USART_UDRE'   ,'USART Data Register Empty');
ISR_LISTE(14,'UTXCaddr' ,'USART_TXC'    ,'USART, Tx Complete');
ISR_LISTE(15,'ADCCaddr' ,'ADC_CC'       ,'ADC Conversion Complete');
ISR_LISTE(16,'ERDYaddr' ,'EE_RDY'       ,'EEPROM Ready');
ISR_LISTE(17,'ACIaddr'  ,'ANA_COMP'     ,'Analog Comparator');
ISR_LISTE(18,'TWIaddr'  ,'TWI'          ,'Two-wire Serial Interface');
ISR_LISTE(19,'SPMRaddr' ,'SPM_RDY'      ,'Store Program Memory Ready');



