; Assemblerquelltext des RONPAS-Compilers (c) by Ronald Daleske
; PROGRAM-NAME: SOUND.PAS
 
.nolist
.INCLUDE "m328Pdef.inc"
.list
 
; *** Konstantentabelle ***
 
.equ        CPM_START_TAB_LAENGE  =  0x1DA7 ; WORD
 
; *** Variablentabelle ***
 
.dseg
 
ZAEHLER_T0:   ; Word
.byte     2
ZAEHLER_T1:   ; Word
.byte     2
TON_PERIODE:   ; Word
.byte     2
MIDI_NUMMER:   ; Word
.byte     2
LIED_TAB_ZEIGER:   ; Word
.byte     2
TON_DAUER:   ; Word
.byte     2
SIN_WERT:   ; Byte
.byte     1
TON_DAUER_BYTE:   ; Byte
.byte     1
MIDI_NUMMER_BYTE:   ; Byte
.byte     1
TON_AN:   ; Boolean
.byte     1
 
 
 
; *** Codesegment ***
.cseg
 
; *** Sprungtabelle ***
.ORG 0
 
; Sprung in das Hauptprogramm
        JMP       RESET
 
; Timer/Counter1 Compare Match A
.ORG OC1Aaddr
        JMP        TIMER1_COMPA
 
; PROCEDURE - Anfang (INITPORTS)
INITPORTS:
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0xFF)
        LDI        R16, 0xFF
 
; Zuweisung Ziel /  VAR (DDRB)
        OUT        DDRB, R16
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0xFF)
        LDI        R16, 0xFF
 
; Zuweisung Ziel /  VAR (DDRC)
        OUT        DDRC, R16
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0xFF)
        LDI        R16, 0xFF
 
; Zuweisung Ziel /  VAR (DDRD)
        OUT        DDRD, R16
 
; PROCEDURE - Ende (INITPORTS)
        RET
 
; ISR - Einsprung
TIMER1_COMPA:
        PUSH       R16
        IN         R16,SREG
        PUSH       R16
 
; ARRAY - Ausdruck / Word-VAR (ZAEHLER_T1)
        LDS        R16, ZAEHLER_T1
        LDS        R17, ZAEHLER_T1+1
 
; Zuweisung Quelle - Ausdruck /; CONST ARRAY (CPM_START_TAB)
        LDI        ZL, LOW(2*CPM_START_TAB)
        LDI        ZH, HIGH(2*CPM_START_TAB)
        ADD        ZL, R16
        ADC        ZH, R17
        LPM        R16, Z
 
; Zuweisung Ziel /  VAR (SIN_WERT)
        STS        SIN_WERT, R16
 
; Zuweisung Quelle - Ausdruck / Byte-VAR (SIN_WERT)
        LDS        R16, SIN_WERT
 
; Zuweisung Ziel /  VAR (PORTD)
        OUT        PORTD, R16
 
; INC(ZAEHLER_T1) - Word
        LDS        R24, ZAEHLER_T1
        LDS        R25, ZAEHLER_T1+1
        ADIW       R25:R24, 1
        STS        ZAEHLER_T1, R24
        STS        ZAEHLER_T1+1, R25
 
; IF THEN - Ausdruck erster Faktor / Word-VAR (ZAEHLER_T1)
        LDS        R16, ZAEHLER_T1
        LDS        R17, ZAEHLER_T1+1
 
; IF THEN - Ausdruck zweiter Faktor / Konstante CONST (CPM_START_TAB_LAENGE)
        LDI        R18, LOW(0x1DA7)
        LDI        R19, HIGH(0x1DA7)
 
; Operator =
        CP         R16, R18
        CPC        R17, R19
        BREQ       M_VERGL_04
        CLR        R16
        CLR        R16
        RJMP       M_VERGL_05
M_VERGL_04:
        SER        R16
M_VERGL_05:
 
; IF_THEN - Vergleich
        CPI        R16, 0xFF
        BREQ       M_IF_01
        RJMP       M_IF_02
M_IF_01:
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x0000)
        LDI        R16, LOW(0x0000)
        LDI        R17, HIGH(0x0000)
 
; Zuweisung Ziel /  VAR (ZAEHLER_T1)
        STS        ZAEHLER_T1, R16
        STS        ZAEHLER_T1+1, R17
 
; IF_THEN - Ende
M_IF_02:
 
; ISR - Ende
        POP        R16
        OUT        SREG,R16
        POP        R16
        RETI
 
; Start des Hauptprogramms
RESET:
 
; Initialisieren des Stacks
        LDI        R16, LOW(RAMEND)
        OUT        SPL, R16
        LDI        R16, HIGH(RAMEND)
        OUT        SPH, R16
 
; LOOP - Start_Marke
M_LOOP_06:
 
; LOOP - Ende
        RJMP       M_LOOP_06
 
; *** Namen-Liste ***
;
; SREG (V) BYTECONREG
; SPH (V) BYTECONREG
; SPL (V) BYTECONREG
; GICR (V) BYTECONREG
; GIFR (V) BYTECONREG
; TIMSK (V) BYTECONREG
; TIFR (V) BYTECONREG
; SPMCR (V) BYTECONREG
; TWCR (V) BYTECONREG
; MCUCR (V) BYTECONREG
; MCUCSR (V) BYTECONREG
; MCUSR (V) BYTECONREG
; TCCR0 (V) BYTECONREG
; TCNT0 (V) BYTECONREG
; OSCCAL (V) BYTECONREG
; SFIOR (V) BYTECONREG
; TCCR1A (V) BYTECONREG
; TCCR1B (V) BYTECONREG
; TCNT1H (V) BYTECONREG
; TCNT1L (V) BYTECONREG
; OCR1AH (V) BYTECONREG
; OCR1AL (V) BYTECONREG
; OCR1BH (V) BYTECONREG
; OCR1BL (V) BYTECONREG
; ICR1H (V) BYTECONREG
; ICR1L (V) BYTECONREG
; TCCR2 (V) BYTECONREG
; TCNT2 (V) BYTECONREG
; OCR2 (V) BYTECONREG
; ASSR (V) BYTECONREG
; WDTCR (V) BYTECONREG
; UBRRH (V) BYTECONREG
; UBRRL (V) BYTECONREG
; UCSRC (V) BYTECONREG
; EEARH (V) BYTECONREG
; EEARL (V) BYTECONREG
; EEDR (V) BYTECONREG
; EECR (V) BYTECONREG
; SPDR (V) BYTECONREG
; SPSR (V) BYTECONREG
; SPCR (V) BYTECONREG
; UCSRA (V) BYTECONREG
; UCSRB (V) BYTECONREG
; ACSR (V) BYTECONREG
; ADMUX (V) BYTECONREG
; ADCSR (V) BYTECONREG
; ADCSRA (V) BYTECONREG
; ADCH (V) BYTECONREG
; ADCL (V) BYTECONREG
; TWDR (V) BYTECONREG
; TWAR (V) BYTECONREG
; TWSR (V) BYTECONREG
; TWBR (V) BYTECONREG
; PORTB (V) BYTECONREG
; DDRB (V) BYTECONREG
; PINB (V) BYTECONREG
; PORTC (V) BYTECONREG
; DDRC (V) BYTECONREG
; PINC (V) BYTECONREG
; PORTD (V) BYTECONREG
; DDRD (V) BYTECONREG
; PIND (V) BYTECONREG
; EEAR (V) WORDCONREG
; TCNT1 (V) WORDCONREG
; OCR1A (V) WORDCONREG
; OCR1B (V) WORDCONREG
; ICR1 (V) WORDCONREG
; ADCHL (V) WORDCONREG
; RXC (B) BIT
; TXC (B) BIT
; UDRE (B) BIT
; ZAEHLER_T0 (V) WORD
; ZAEHLER_T1 (V) WORD
; TON_PERIODE (V) WORD
; MIDI_NUMMER (V) WORD
; LIED_TAB_ZEIGER (V) WORD
; TON_DAUER (V) WORD
; SIN_WERT (V) BYTE
; TON_DAUER_BYTE (V) BYTE
; MIDI_NUMMER_BYTE (V) BYTE
; TON_AN (V) BOOLEAN
; LED_ROT (B) BIT
; CPM_START_TAB_LAENGE (C) WORD Wert=0x1DA7
; CPM_START_TAB (A) 
; INITPORTS (P) 
 
; *** Prozedur/Function-Liste ***
;
; PROCEDURE INITPORTS;
 
; *** Konstanten-ARRAYs ***
;
 
CPM_START_TAB:
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x80,0x7F
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x7F,0x7F
.db    0x80,0x80
.db    0x80,0x7F
.db    0x7F,0x80
.db    0x80,0x7F
.db    0x80,0x80
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x80,0x80
.db    0x7F,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x7E
.db    0x7E,0x7E
.db    0x7E,0x7E
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x7F
.db    0x80,0x81
.db    0x81,0x81
.db    0x7E,0x7F
.db    0x7F,0x81
.db    0x7E,0x80
.db    0x7F,0x80
.db    0x7E,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x81,0x7F
.db    0x7F,0x7E
.db    0x7E,0x7F
.db    0x7F,0x7E
.db    0x7F,0x7F
.db    0x83,0x7E
.db    0x80,0x7C
.db    0x7F,0x7F
.db    0x80,0x82
.db    0x81,0x7D
.db    0x7D,0x80
.db    0x7F,0x7C
.db    0x7F,0x82
.db    0x7E,0x7B
.db    0x7E,0x80
.db    0x7D,0x85
.db    0x7C,0x83
.db    0x7F,0x85
.db    0x80,0x7C
.db    0x7E,0x83
.db    0x7D,0x82
.db    0x81,0x87
.db    0x80,0x80
.db    0x7E,0x76
.db    0x84,0x76
.db    0x7E,0x8D
.db    0x82,0x81
.db    0x7C,0x76
.db    0x7B,0x81
.db    0x7B,0x78
.db    0x82,0x71
.db    0x8F,0x82
.db    0x7E,0x89
.db    0x88,0x81
.db    0x6C,0x77
.db    0x8C,0x82
.db    0x74,0x78
.db    0x8C,0x87
.db    0x6A,0x78
.db    0x8C,0x7B
.db    0x70,0x80
.db    0x75,0x7E
.db    0x6E,0x7F
.db    0x8B,0x7E
.db    0x6E,0x82
.db    0x71,0x83
.db    0x7C,0x7B
.db    0x88,0x70
.db    0x8B,0x82
.db    0x7E,0x83
.db    0x80,0x70
.db    0x86,0x71
.db    0x81,0x77
.db    0x81,0x6C
.db    0x7A,0x97
.db    0x85,0x69
.db    0x7F,0x77
.db    0x79,0x82
.db    0x78,0x97
.db    0x7D,0x77
.db    0x80,0x80
.db    0x7C,0xA1
.db    0x7A,0x6F
.db    0x76,0x9C
.db    0x82,0x74
.db    0x74,0x85
.db    0x80,0x75
.db    0x80,0x8F
.db    0x81,0x77
.db    0x80,0x75
.db    0x7D,0x80
.db    0x83,0x7A
.db    0x80,0x70
.db    0x8E,0x84
.db    0x8A,0x82
.db    0xA7,0x88
.db    0x89,0x7B
.db    0x75,0x88
.db    0x88,0x79
.db    0x7B,0x78
.db    0x9A,0x80
.db    0x78,0x78
.db    0x95,0x8A
.db    0x7B,0x7C
.db    0x77,0x80
.db    0x71,0x79
.db    0x92,0x7F
.db    0x7A,0x7C
.db    0x77,0x81
.db    0x80,0x7D
.db    0x93,0x71
.db    0x8B,0x84
.db    0x7B,0x8B
.db    0x79,0x9D
.db    0x78,0x9A
.db    0x80,0x87
.db    0x88,0x67
.db    0x84,0x4B
.db    0x7D,0x6E
.db    0x80,0x7A
.db    0x7F,0x90
.db    0x83,0x8E
.db    0x88,0xAC
.db    0x7D,0x88
.db    0x6A,0x70
.db    0x81,0x87
.db    0x83,0x8D
.db    0x78,0x77
.db    0x87,0x8C
.db    0x84,0x84
.db    0x7C,0x81
.db    0x71,0x80
.db    0x82,0x84
.db    0x5C,0x7D
.db    0x92,0x8A
.db    0x75,0x6C
.db    0x9F,0x88
.db    0x6A,0x74
.db    0x79,0x7F
.db    0xA2,0x74
.db    0x57,0x82
.db    0x84,0x7C
.db    0x70,0x7A
.db    0x88,0x7C
.db    0x6A,0x84
.db    0x69,0x93
.db    0x82,0x82
.db    0x88,0x7D
.db    0x8B,0x7B
.db    0x81,0x6C
.db    0x78,0x81
.db    0x76,0x8C
.db    0x78,0x86
.db    0x89,0x7A
.db    0x83,0x68
.db    0x70,0x89
.db    0x82,0x6D
.db    0x7F,0x86
.db    0x84,0x8D
.db    0x77,0x97
.db    0x7B,0x81
.db    0x76,0x81
.db    0x83,0x87
.db    0x85,0x8F
.db    0x7C,0x6D
.db    0x82,0x81
.db    0x6E,0x8A
.db    0x7B,0x9A
.db    0x78,0x5D
.db    0x83,0x78
.db    0x74,0x7C
.db    0x7E,0x82
.db    0x77,0x79
.db    0x7F,0x88
.db    0x95,0x86
.db    0x79,0x80
.db    0x90,0x80
.db    0x7C,0x7A
.db    0x8C,0x79
.db    0x80,0x84
.db    0x68,0x86
.db    0x85,0x70
.db    0x83,0x7B
.db    0x98,0x7F
.db    0x81,0x82
.db    0x6F,0x8F
.db    0x8B,0x79
.db    0x84,0x70
.db    0x89,0x6F
.db    0x81,0x6E
.db    0x94,0x86
.db    0x7E,0x77
.db    0x83,0x71
.db    0x81,0x6E
.db    0x77,0x7A
.db    0x83,0x75
.db    0x7F,0x83
.db    0x8C,0x69
.db    0x79,0x72
.db    0x78,0x93
.db    0x79,0x79
.db    0x84,0x7A
.db    0x86,0x6F
.db    0x7D,0x90
.db    0x88,0x79
.db    0x8E,0x78
.db    0x86,0x7F
.db    0x85,0x7B
.db    0x81,0x63
.db    0x90,0x85
.db    0x82,0x6F
.db    0x8B,0x8D
.db    0x8A,0x7E
.db    0x7C,0x8F
.db    0x72,0x81
.db    0x6E,0x7D
.db    0x67,0x79
.db    0x6B,0x81
.db    0x7A,0x7A
.db    0x68,0x7D
.db    0x75,0x87
.db    0xA0,0x85
.db    0x8C,0x7F
.db    0x81,0x7F
.db    0x75,0x80
.db    0x6B,0x8B
.db    0x6F,0x85
.db    0x78,0x85
.db    0x8F,0x8A
.db    0x8F,0x83
.db    0x7C,0x7C
.db    0x7E,0x63
.db    0x84,0x76
.db    0x80,0x85
.db    0x7E,0x78
.db    0x78,0x77
.db    0x7E,0x93
.db    0x82,0x78
.db    0x8C,0x7B
.db    0x7F,0x93
.db    0x6D,0x80
.db    0x86,0x87
.db    0x6F,0x71
.db    0x76,0x93
.db    0x78,0x76
.db    0x87,0x7D
.db    0x91,0x89
.db    0x7C,0x71
.db    0x9F,0x8B
.db    0x87,0x6A
.db    0x64,0x8E
.db    0x74,0x9C
.db    0x64,0x80
.db    0x7C,0x7D
.db    0x93,0x81
.db    0x8B,0x7B
.db    0xA0,0x6E
.db    0x8E,0x82
.db    0x70,0x88
.db    0x82,0x83
.db    0x72,0x81
.db    0x87,0x7F
.db    0x96,0x74
.db    0x8E,0x7A
.db    0x7D,0x87
.db    0x76,0x8C
.db    0x73,0x87
.db    0x7C,0x7B
.db    0x6E,0x72
.db    0x72,0x73
.db    0x7A,0x80
.db    0x95,0x88
.db    0x8F,0x78
.db    0x82,0x7C
.db    0x85,0x82
.db    0x84,0x82
.db    0x78,0x79
.db    0x78,0x83
.db    0x7C,0x8A
.db    0x73,0x8B
.db    0x74,0x85
.db    0x84,0x71
.db    0x79,0x74
.db    0x7D,0x81
.db    0x7A,0x6F
.db    0x88,0x8D
.db    0x88,0x8C
.db    0x85,0x7E
.db    0x73,0x7D
.db    0x72,0x80
.db    0x88,0x7D
.db    0x82,0x84
.db    0x75,0x88
.db    0x77,0x81
.db    0x7C,0x7A
.db    0x80,0x78
.db    0x84,0x81
.db    0x7F,0x74
.db    0x7D,0x79
.db    0x7D,0x88
.db    0x90,0x96
.db    0x99,0x98
.db    0x91,0x8B
.db    0x80,0x78
.db    0x6F,0x67
.db    0x5F,0x5B
.db    0x57,0x63
.db    0x63,0x74
.db    0x83,0x98
.db    0xAB,0xB3
.db    0xAF,0xAA
.db    0x91,0x7A
.db    0x6C,0x68
.db    0x69,0x6C
.db    0x76,0x76
.db    0x72,0x62
.db    0x5D,0x48
.db    0x4F,0x57
.db    0x7B,0x9F
.db    0xB0,0xD4
.db    0xCF,0xCC
.db    0xA5,0x92
.db    0x75,0x5E
.db    0x59,0x5C
.db    0x68,0x73
.db    0x73,0x6E
.db    0x5C,0x50
.db    0x3F,0x67
.db    0x75,0x9A
.db    0xD3,0xD4
.db    0xDF,0xBD
.db    0xA2,0x81
.db    0x57,0x62
.db    0x51,0x67
.db    0x6C,0x6D
.db    0x70,0x5C
.db    0x5A,0x53
.db    0x67,0x66
.db    0x99,0xBF
.db    0xCF,0xE3
.db    0xD0,0xB5
.db    0x82,0x55
.db    0x4B,0x44
.db    0x55,0x66
.db    0x71,0x7E
.db    0x6C,0x65
.db    0x58,0x4E
.db    0x66,0x97
.db    0xB2,0xD1
.db    0xEA,0xDB
.db    0xBC,0x8A
.db    0x61,0x49
.db    0x35,0x45
.db    0x5B,0x69
.db    0x80,0x76
.db    0x6B,0x5A
.db    0x49,0x69
.db    0x74,0x94
.db    0xDD,0xEE
.db    0xE3,0xD4
.db    0x9C,0x7A
.db    0x57,0x3D
.db    0x4B,0x52
.db    0x64,0x6F
.db    0x6C,0x67
.db    0x54,0x44
.db    0x3F,0x5B
.db    0x9F,0xB6
.db    0xDA,0xF3
.db    0xDF,0xC6
.db    0x9F,0x6E
.db    0x56,0x4F
.db    0x45,0x52
.db    0x65,0x69
.db    0x73,0x61
.db    0x5E,0x56
.db    0x5F,0x69
.db    0x97,0xC3
.db    0xD8,0xEE
.db    0xDB,0xB5
.db    0x94,0x5D
.db    0x42,0x3D
.db    0x43,0x55
.db    0x6F,0x7C
.db    0x7B,0x72
.db    0x5C,0x4C
.db    0x66,0x6D
.db    0x8B,0xCE
.db    0xE8,0xE8
.db    0xD8,0xA6
.db    0x7C,0x61
.db    0x44,0x41
.db    0x4E,0x58
.db    0x6E,0x75
.db    0x70,0x67
.db    0x5D,0x4A
.db    0x68,0x82
.db    0x90,0xC4
.db    0xEB,0xE0
.db    0xCB,0xA3
.db    0x70,0x5E
.db    0x52,0x41
.db    0x54,0x69
.db    0x75,0x82
.db    0x7B,0x61
.db    0x61,0x46
.db    0x53,0x7B
.db    0x7E,0xB6
.db    0xE0,0xDC
.db    0xD6,0xB5
.db    0x7D,0x6D
.db    0x5B,0x45
.db    0x54,0x6C
.db    0x74,0x80
.db    0x7D,0x65
.db    0x5A,0x4A
.db    0x57,0x7C
.db    0x88,0xB6
.db    0xE8,0xDE
.db    0xCC,0xB3
.db    0x7F,0x5F
.db    0x5A,0x4C
.db    0x51,0x67
.db    0x6D,0x71
.db    0x76,0x64
.db    0x55,0x54
.db    0x59,0x53
.db    0x8E,0xBF
.db    0xC8,0xD6
.db    0xDE,0xB9
.db    0x97,0x7D
.db    0x59,0x4A
.db    0x55,0x5C
.db    0x62,0x77
.db    0x70,0x6C
.db    0x66,0x56
.db    0x57,0x6E
.db    0x6F,0x7D
.db    0xB9,0xD8
.db    0xDA,0xD5
.db    0xAF,0x84
.db    0x70,0x5A
.db    0x54,0x54
.db    0x5F,0x6D
.db    0x71,0x78
.db    0x71,0x5E
.db    0x56,0x49
.db    0x49,0x59
.db    0x8B,0xBE
.db    0xD5,0xDD
.db    0xD9,0xB9
.db    0x96,0x6F
.db    0x53,0x46
.db    0x4B,0x5E
.db    0x69,0x77
.db    0x7D,0x7B
.db    0x70,0x5A
.db    0x4E,0x49
.db    0x5E,0x89
.db    0xA4,0xC8
.db    0xE8,0xE9
.db    0xD7,0xAE
.db    0x78,0x53
.db    0x48,0x47
.db    0x4C,0x5D
.db    0x6A,0x78
.db    0x7D,0x76
.db    0x64,0x58
.db    0x52,0x3D
.db    0x50,0x85
.db    0xB4,0xD1
.db    0xE6,0xEE
.db    0xD1,0xB0
.db    0x8B,0x59
.db    0x44,0x41
.db    0x45,0x58
.db    0x6D,0x7C
.db    0x85,0x7B
.db    0x62,0x54
.db    0x41,0x38
.db    0x57,0x88
.db    0xA2,0xC5
.db    0xEF,0xEC
.db    0xDD,0xC2
.db    0x95,0x67
.db    0x4A,0x3E
.db    0x44,0x53
.db    0x69,0x82
.db    0x87,0x7B
.db    0x73,0x61
.db    0x4A,0x3C
.db    0x46,0x66
.db    0xA8,0xD1
.db    0xE4,0xF1
.db    0xD9,0xC3
.db    0xA2,0x75
.db    0x40,0x38
.db    0x3A,0x41
.db    0x57,0x76
.db    0x7F,0x73
.db    0x77,0x66
.db    0x55,0x53
.db    0x74,0x85
.db    0x90,0xC9
.db    0xDE,0xD6
.db    0xD7,0xB4
.db    0x87,0x6B
.db    0x57,0x4B
.db    0x3F,0x48
.db    0x61,0x65
.db    0x6C,0x73
.db    0x62,0x57
.db    0x6B,0x92
.db    0x97,0x99
.db    0xD0,0xDA
.db    0xD5,0xCC
.db    0xAB,0x7B
.db    0x65,0x58
.db    0x3C,0x34
.db    0x4C,0x5F
.db    0x5D,0x68
.db    0x62,0x5C
.db    0x42,0x52
.db    0x8C,0xAE
.db    0xC8,0xD6
.db    0xED,0xDD
.db    0xB7,0x9C
.db    0x7F,0x59
.db    0x46,0x43
.db    0x4B,0x53
.db    0x64,0x6A
.db    0x5D,0x54
.db    0x5D,0x7C
.db    0x79,0x82
.db    0xA4,0xD7
.db    0xE5,0xD3
.db    0xC5,0x9D
.db    0x79,0x61
.db    0x4B,0x42
.db    0x49,0x4C
.db    0x5F,0x58
.db    0x5B,0x63
.db    0x5B,0x73
.db    0x6D,0x81
.db    0xCB,0xDB
.db    0xD9,0xE6
.db    0xD0,0xA3
.db    0x7B,0x63
.db    0x57,0x38
.db    0x34,0x49
.db    0x5C,0x5F
.db    0x65,0x60
.db    0x60,0x77
.db    0x63,0x69
.db    0xBA,0xE0
.db    0xD9,0xDE
.db    0xDB,0xC3
.db    0x92,0x6D
.db    0x4F,0x39
.db    0x40,0x52
.db    0x57,0x58
.db    0x58,0x48
.db    0x46,0x6A
.db    0x5C,0x74
.db    0xBC,0xEA
.db    0xF2,0xEB
.db    0xD7,0xB0
.db    0x83,0x6F
.db    0x57,0x33
.db    0x42,0x5F
.db    0x6D,0x64
.db    0x64,0x54
.db    0x51,0x70
.db    0x5C,0x79
.db    0xB6,0xE6
.db    0xE9,0xDA
.db    0xD3,0xAE
.db    0x88,0x59
.db    0x53,0x44
.db    0x3C,0x5D
.db    0x5A,0x54
.db    0x4E,0x50
.db    0x4C,0x68
.db    0x81,0x8C
.db    0xD0,0xF4
.db    0xE2,0xE2
.db    0xC9,0xA1
.db    0x71,0x47
.db    0x3E,0x3F
.db    0x41,0x50
.db    0x5E,0x60
.db    0x54,0x4C
.db    0x40,0x5B
.db    0x87,0x90
.db    0xBF,0xE9
.db    0xE5,0xDE
.db    0xBD,0x9C
.db    0x75,0x50
.db    0x4C,0x43
.db    0x50,0x5C
.db    0x5B,0x65
.db    0x55,0x51
.db    0x44,0x50
.db    0x85,0x9D
.db    0xC7,0xD5
.db    0xE8,0xD8
.db    0xB5,0x9D
.db    0x69,0x58
.db    0x46,0x3F
.db    0x50,0x55
.db    0x5E,0x56
.db    0x54,0x4E
.db    0x50,0x5C
.db    0x8D,0xA7
.db    0xC9,0xDA
.db    0xDF,0xCA
.db    0xAD,0x82
.db    0x6A,0x58
.db    0x50,0x57
.db    0x60,0x67
.db    0x6A,0x6D
.db    0x65,0x6D
.db    0x78,0x81
.db    0x8B,0x93
.db    0x9C,0x96
.db    0x9D,0x9A
.db    0x9B,0x99
.db    0x93,0x8E
.db    0x85,0x7E
.db    0x74,0x6E
.db    0x6B,0x65
.db    0x65,0x68
.db    0x68,0x6C
.db    0x70,0x73
.db    0x78,0x7D
.db    0x80,0x81
.db    0x82,0x83
.db    0x83,0x84
.db    0x85,0x84
.db    0x86,0x88
.db    0x89,0x88
.db    0x85,0x83
.db    0x81,0x7F
.db    0x80,0x81
.db    0x81,0x84
.db    0x84,0x85
.db    0x86,0x84
.db    0x83,0x84
.db    0x82,0x83
.db    0x80,0x81
.db    0x7F,0x7F
.db    0x7E,0x7D
.db    0x7B,0x7A
.db    0x7B,0x7B
.db    0x7B,0x7C
.db    0x7E,0x7E
.db    0x7D,0x7D
.db    0x7D,0x7D
.db    0x7E,0x7F
.db    0x7F,0x7F
.db    0x7E,0x7D
.db    0x7E,0x7E
.db    0x7F,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x7F,0x80
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x80,0x80
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x80,0x80
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x81,0x7F
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x7F,0x7F
.db    0x7E,0x7F
.db    0x7F,0x7E
.db    0x7E,0x7E
.db    0x7E,0x7F
.db    0x7C,0x81
.db    0x7E,0x7E
.db    0x81,0x7D
.db    0x80,0x7F
.db    0x7F,0x81
.db    0x7D,0x80
.db    0x7F,0x81
.db    0x7F,0x81
.db    0x83,0x80
.db    0x81,0x81
.db    0x82,0x83
.db    0x81,0x82
.db    0x82,0x84
.db    0x86,0x87
.db    0x88,0x8F
.db    0x89,0x7A
.db    0x75,0x71
.db    0x61,0x8F
.db    0x73,0x7E
.db    0x89,0x70
.db    0x81,0x5C
.db    0x87,0x67
.db    0x84,0x76
.db    0x79,0x83
.db    0x74,0x83
.db    0x7B,0x85
.db    0x83,0x7C
.db    0x91,0x80
.db    0x84,0x82
.db    0x83,0x8D
.db    0x96,0x7E
.db    0x98,0x73
.db    0xA3,0x6B
.db    0x97,0x78
.db    0x93,0x7D
.db    0x7E,0x8A
.db    0x74,0x91
.db    0x6A,0x8A
.db    0x58,0x9B
.db    0x4B,0xA1
.db    0x46,0x88
.db    0x6E,0x66
.db    0x81,0x5B
.db    0x80,0x89
.db    0x63,0x94
.db    0x67,0x8E
.db    0x73,0x79
.db    0x88,0x7F
.db    0x8B,0x78
.db    0x7F,0x8F
.db    0x78,0x86
.db    0x7B,0x89
.db    0x7E,0x8B
.db    0x85,0x88
.db    0x81,0x7C
.db    0x75,0x75
.db    0x86,0x7F
.db    0x82,0x88
.db    0x80,0x89
.db    0x7F,0x7A
.db    0x8F,0x7E
.db    0x6E,0x84
.db    0x80,0x7D
.db    0x74,0x73
.db    0x80,0x69
.db    0x94,0x6C
.db    0x7D,0x91
.db    0x71,0x89
.db    0x8B,0x78
.db    0x7F,0x7F
.db    0x8A,0x7E
.db    0x78,0x7E
.db    0x6F,0x7A
.db    0x78,0x7F
.db    0x80,0x85
.db    0x73,0x7F
.db    0x8A,0x80
.db    0x84,0x98
.db    0x85,0x7D
.db    0x8D,0x76
.db    0x79,0x8A
.db    0x7F,0x7C
.db    0x93,0x80
.db    0x79,0x7B
.db    0x89,0x82
.db    0x76,0x94
.db    0x79,0x7E
.db    0x7E,0x81
.db    0x70,0x89
.db    0x80,0x74
.db    0x86,0x89
.db    0x77,0x7E
.db    0x7E,0x78
.db    0x85,0x81
.db    0x81,0x86
.db    0x89,0x85
.db    0x7B,0x7F
.db    0x95,0x82
.db    0x7B,0x72
.db    0x7F,0x84
.db    0x7F,0x72
.db    0x75,0x83
.db    0x72,0x82
.db    0x80,0x81
.db    0x7F,0x83
.db    0x7A,0x84
.db    0x7E,0x72
.db    0x72,0x78
.db    0x82,0x89
.db    0x84,0x8C
.db    0x8A,0x80
.db    0x7C,0x81
.db    0x79,0x7A
.db    0x8E,0x84
.db    0x83,0x7A
.db    0x7F,0x82
.db    0x7F,0x78
.db    0x7E,0x83
.db    0x84,0x82
.db    0x80,0x7A
.db    0x80,0x77
.db    0x78,0x7A
.db    0x7C,0x7F
.db    0x87,0x83
.db    0x74,0x77
.db    0x7D,0x7F
.db    0x7D,0x7F
.db    0x79,0x7D
.db    0x78,0x76
.db    0x79,0x84
.db    0x88,0x8F
.db    0x90,0x7F
.db    0x82,0x85
.db    0x81,0x7B
.db    0x81,0x7D
.db    0x7F,0x81
.db    0x7F,0x7D
.db    0x89,0x7E
.db    0x7C,0x7C
.db    0x7C,0x87
.db    0x86,0x82
.db    0x79,0x79
.db    0x81,0x82
.db    0x79,0x7F
.db    0x8E,0x7F
.db    0x7B,0x7C
.db    0x7F,0x7E
.db    0x82,0x7B
.db    0x7C,0x77
.db    0x7D,0x7A
.db    0x83,0x7F
.db    0x79,0x7A
.db    0x80,0x86
.db    0x82,0x7D
.db    0x7E,0x77
.db    0x83,0x90
.db    0x86,0x7B
.db    0x79,0x7D
.db    0x8A,0x87
.db    0x7E,0x76
.db    0x76,0x7C
.db    0x7D,0x7F
.db    0x79,0x74
.db    0x7D,0x84
.db    0x84,0x80
.db    0x79,0x82
.db    0x87,0x8E
.db    0x8D,0x8A
.db    0x80,0x79
.db    0x85,0x85
.db    0x7F,0x77
.db    0x74,0x6D
.db    0x64,0x66
.db    0x66,0x6F
.db    0x74,0x78
.db    0x8A,0x92
.db    0x99,0x97
.db    0x98,0x94
.db    0x8C,0x8F
.db    0x91,0x84
.db    0x80,0x81
.db    0x70,0x66
.db    0x66,0x5C
.db    0x50,0x56
.db    0x68,0x6C
.db    0x75,0x91
.db    0xA4,0xAC
.db    0xB5,0xC2
.db    0xBA,0xAC
.db    0x9D,0x88
.db    0x6B,0x5E
.db    0x4C,0x42
.db    0x41,0x46
.db    0x4B,0x5C
.db    0x72,0x85
.db    0x93,0xAF
.db    0xC2,0xCC
.db    0xD8,0xCD
.db    0xA9,0x86
.db    0x6A,0x4A
.db    0x31,0x2F
.db    0x33,0x37
.db    0x49,0x5D
.db    0x6E,0x85
.db    0x9B,0xB1
.db    0xCC,0xDF
.db    0xDE,0xCE
.db    0xAC,0x8E
.db    0x64,0x3F
.db    0x2F,0x2D
.db    0x31,0x3A
.db    0x44,0x59
.db    0x6A,0x88
.db    0xA5,0xBD
.db    0xCE,0xD5
.db    0xCD,0xB6
.db    0xA8,0x85
.db    0x56,0x40
.db    0x37,0x33
.db    0x3E,0x4D
.db    0x52,0x5E
.db    0x83,0x9A
.db    0xA8,0xBF
.db    0xD7,0xDF
.db    0xD2,0xB3
.db    0x93,0x78
.db    0x5C,0x43
.db    0x3C,0x3F
.db    0x3F,0x4A
.db    0x5F,0x69
.db    0x6B,0x84
.db    0xB0,0xCB
.db    0xDA,0xD0
.db    0xBD,0xA7
.db    0x89,0x61
.db    0x4E,0x35
.db    0x30,0x3C
.db    0x4F,0x56
.db    0x54,0x6D
.db    0x91,0xB4
.db    0xC7,0xD6
.db    0xE4,0xD3
.db    0xA1,0x82
.db    0x67,0x4A
.db    0x34,0x39
.db    0x38,0x3F
.db    0x4F,0x5E
.db    0x7A,0x9F
.db    0xA7,0xBF
.db    0xD4,0xDB
.db    0xC9,0xA4
.db    0x8C,0x6F
.db    0x52,0x42
.db    0x3A,0x39
.db    0x42,0x53
.db    0x61,0x74
.db    0x8B,0x9F
.db    0xB9,0xCD
.db    0xD7,0xC4
.db    0xBA,0xA1
.db    0x78,0x58
.db    0x49,0x3C
.db    0x39,0x41
.db    0x48,0x57
.db    0x6E,0x82
.db    0x91,0xB9
.db    0xD1,0xD7
.db    0xCF,0xCA
.db    0x9F,0x70
.db    0x56,0x44
.db    0x33,0x37
.db    0x3A,0x48
.db    0x5E,0x72
.db    0x78,0xA0
.db    0xC4,0xDB
.db    0xD3,0xD5
.db    0xC4,0x98
.db    0x70,0x53
.db    0x3F,0x30
.db    0x38,0x37
.db    0x43,0x5B
.db    0x73,0x81
.db    0xAB,0xC8
.db    0xCE,0xD5
.db    0xD9,0xBB
.db    0x8D,0x72
.db    0x59,0x3D
.db    0x3B,0x36
.db    0x35,0x51
.db    0x5F,0x6B
.db    0x7F,0x9F
.db    0xB8,0xD0
.db    0xD7,0xC1
.db    0xAC,0x95
.db    0x77,0x62
.db    0x48,0x3A
.db    0x38,0x3B
.db    0x45,0x57
.db    0x75,0x8B
.db    0xAE,0xCD
.db    0xD8,0xD4
.db    0xBE,0xB3
.db    0x87,0x6E
.db    0x57,0x43
.db    0x35,0x34
.db    0x3D,0x4A
.db    0x59,0x6C
.db    0x7D,0xAC
.db    0xCC,0xD8
.db    0xCB,0xCD
.db    0xB7,0x98
.db    0x74,0x55
.db    0x45,0x3B
.db    0x3B,0x46
.db    0x50,0x5E
.db    0x6C,0x88
.db    0xA8,0xCA
.db    0xD2,0xD4
.db    0xBF,0xAB
.db    0x89,0x71
.db    0x5F,0x51
.db    0x4A,0x48
.db    0x45,0x47
.db    0x49,0x53
.db    0x73,0x98
.db    0xBB,0xD9
.db    0xEE,0xD7
.db    0xBD,0xA0
.db    0x76,0x61
.db    0x58,0x51
.db    0x52,0x57
.db    0x59,0x52
.db    0x4C,0x4D
.db    0x60,0x76
.db    0xA3,0xCF
.db    0xDC,0xD7
.db    0xC0,0x96
.db    0x73,0x63
.db    0x5B,0x5D
.db    0x67,0x73
.db    0x76,0x60
.db    0x54,0x3E
.db    0x35,0x5E
.db    0x92,0xC3
.db    0xE6,0xE0
.db    0xBB,0xA8
.db    0x8D,0x63
.db    0x5F,0x67
.db    0x66,0x7C
.db    0x84,0x78
.db    0x58,0x3B
.db    0x2B,0x23
.db    0x4B,0x8D
.db    0xC6,0xE6
.db    0xF2,0xD7
.db    0xAA,0x7C
.db    0x56,0x3D
.db    0x54,0x70
.db    0x8B,0x98
.db    0xA0,0x96
.db    0x71,0x55
.db    0x36,0x24
.db    0x35,0x47
.db    0x82,0xD4
.db    0xCE,0xE0
.db    0xD7,0xA4
.db    0x6E,0x53
.db    0x39,0x52
.db    0x6C,0x8C
.db    0xA9,0xB0
.db    0x97,0x86
.db    0x6A,0x4F
.db    0x57,0x50
.db    0x4F,0x55
.db    0x4F,0x59
.db    0x84,0xBB
.db    0xCF,0xC8
.db    0xC1,0xA8
.db    0x82,0x59
.db    0x44,0x54
.db    0x74,0x90
.db    0xA8,0xAE
.db    0xA4,0x7E
.db    0x68,0x59
.db    0x6A,0x71
.db    0x79,0x87
.db    0x92,0x91
.db    0x86,0x6B
.db    0x74,0x78
.db    0x62,0x7B
.db    0x81,0x7E
.db    0x86,0x7B
.db    0x77,0x77
.db    0x70,0x6F
.db    0x7A,0x79
.db    0x82,0x8A
.db    0x81,0x7D
.db    0x75,0x7C
.db    0x8F,0x98
.db    0x9E,0xA6
.db    0x99,0x8E
.db    0x83,0x7A
.db    0x83,0x84
.db    0x82,0x7C
.db    0x70,0x5E
.db    0x5A,0x5C
.db    0x6C,0x9B
.db    0xBD,0xC3
.db    0xB9,0x90
.db    0x67,0x55
.db    0x4C,0x67
.db    0x88,0x9E
.db    0xAA,0xA0
.db    0x87,0x66
.db    0x54,0x4F
.db    0x60,0x77
.db    0x8D,0x97
.db    0x96,0x82
.db    0x6B,0x5E
.db    0x5C,0x6C
.db    0x81,0x92
.db    0x96,0x8D
.db    0x81,0x76
.db    0x70,0x77
.db    0x81,0x8A
.db    0x8C,0x89
.db    0x84,0x7D
.db    0x7B,0x7B
.db    0x80,0x87
.db    0x89,0x89
.db    0x83,0x7E
.db    0x7A,0x7C
.db    0x80,0x83
.db    0x84,0x84
.db    0x81,0x7F
.db    0x7A,0x7B
.db    0x80,0x80
.db    0x81,0x83
.db    0x80,0x7E
.db    0x7D,0x7B
.db    0x79,0x7D
.db    0x81,0x82
.db    0x84,0x7E
.db    0x7B,0x7A
.db    0x79,0x7D
.db    0x80,0x81
.db    0x80,0x7E
.db    0x7C,0x7C
.db    0x76,0x85
.db    0x8C,0x6E
.db    0x77,0x72
.db    0x63,0x6F
.db    0x67,0x86
.db    0x7F,0xAE
.db    0xAA,0x8D
.db    0x8B,0x6B
.db    0x69,0x6E
.db    0x73,0x93
.db    0x97,0x98
.db    0x90,0x77
.db    0x6E,0x69
.db    0x6F,0x7F
.db    0x89,0x8F
.db    0x89,0x7C
.db    0x73,0x6C
.db    0x71,0x7E
.db    0x84,0x90
.db    0x88,0x81
.db    0x73,0x6F
.db    0x76,0x7A
.db    0x88,0x88
.db    0x87,0x80
.db    0x77,0x75
.db    0x78,0x7E
.db    0x87,0x8C
.db    0x87,0x7F
.db    0x7C,0x79
.db    0x7A,0x82
.db    0x84,0x87
.db    0x81,0x7F
.db    0x7D,0x7F
.db    0x81,0x81
.db    0x82,0x7D
.db    0x7C,0x7F
.db    0x7F,0x80
.db    0x83,0x82
.db    0x82,0x7F
.db    0x83,0x82
.db    0x83,0x84
.db    0x84,0x81
.db    0x80,0x82
.db    0x80,0x7E
.db    0x7E,0x7C
.db    0x7E,0x7F
.db    0x7F,0x7D
.db    0x77,0x70
.db    0x74,0x67
.db    0x8F,0x96
.db    0x68,0x75
.db    0x59,0x64
.db    0x66,0x62
.db    0x76,0x64
.db    0x6B,0x66
.db    0x97,0x94
.db    0xBB,0xB4
.db    0x99,0x87
.db    0x75,0x82
.db    0x8A,0x9A
.db    0x97,0x8F
.db    0x7E,0x72
.db    0x76,0x75
.db    0x75,0x7A
.db    0x7C,0x7F
.db    0x7F,0x87
.db    0x7E,0x80
.db    0x74,0x67
.db    0x60,0x52
.db    0x5B,0x55
.db    0x58,0x57
.db    0x5B,0x67
.db    0x77,0x7F
.db    0xC8,0xE1
.db    0xC5,0xC3
.db    0x8D,0x8F
.db    0x79,0x95
.db    0x91,0xA5
.db    0x95,0x8F
.db    0x7B,0x7B
.db    0x71,0x79
.db    0x78,0x79
.db    0x71,0x63
.db    0x61,0x51
.db    0x45,0x3C
.db    0x4A,0x45
.db    0x6E,0x7C
.db    0xD9,0xF6
.db    0xC6,0xC7
.db    0x7F,0x87
.db    0x63,0x8D
.db    0x86,0x95
.db    0x84,0x78
.db    0x80,0x67
.db    0x71,0x64
.db    0x81,0x7D
.db    0x81,0x6B
.db    0x6E,0x5C
.db    0x4F,0x44
.db    0x3C,0x45
.db    0x40,0x7F
.db    0xA9,0xD1
.db    0xFC,0xCD
.db    0xB0,0x83
.db    0x96,0x7D
.db    0x9B,0x91
.db    0x9B,0x8B
.db    0x94,0x80
.db    0x82,0x76
.db    0x82,0x78
.db    0x79,0x61
.db    0x56,0x42
.db    0x3A,0x31
.db    0x2C,0x42
.db    0x66,0x7D
.db    0xC9,0xD2
.db    0xF5,0xDD
.db    0xC8,0xA4
.db    0xA0,0x96
.db    0x91,0x92
.db    0x8A,0x89
.db    0x80,0x72
.db    0x70,0x6C
.db    0x76,0x6D
.db    0x6D,0x64
.db    0x59,0x4B
.db    0x4B,0x4E
.db    0x54,0x67
.db    0x78,0x8E
.db    0xA5,0xB3
.db    0xB8,0xBA
.db    0xB5,0xA9
.db    0xA4,0x96
.db    0x87,0x7F
.db    0x78,0x71
.db    0x72,0x77
.db    0x7D,0x81
.db    0x81,0x83
.db    0x7A,0x72
.db    0x64,0x4E
.db    0x37,0x2E
.db    0x30,0x3F
.db    0x55,0x78
.db    0x95,0xC3
.db    0xD2,0xE5
.db    0xE2,0xD7
.db    0xC1,0xA2
.db    0x87,0x79
.db    0x75,0x75
.db    0x80,0x8C
.db    0x96,0x94
.db    0x86,0x72
.db    0x5D,0x45
.db    0x2B,0x1E
.db    0x1E,0x2D
.db    0x45,0x66
.db    0x8F,0xB9
.db    0xD4,0xE9
.db    0xE4,0xD9
.db    0xC1,0xA3
.db    0x89,0x79
.db    0x70,0x6E
.db    0x74,0x7D
.db    0x81,0x81
.db    0x7B,0x71
.db    0x63,0x4C
.db    0x41,0x39
.db    0x3D,0x4B
.db    0x63,0x8B
.db    0xAF,0xD1
.db    0xE4,0xEE
.db    0xE3,0xD1
.db    0xB2,0x97
.db    0x81,0x71
.db    0x6B,0x6B
.db    0x6E,0x71
.db    0x6F,0x6A
.db    0x62,0x51
.db    0x45,0x3B
.db    0x3B,0x47
.db    0x5B,0x77
.db    0xA0,0xBA
.db    0xD2,0xDA
.db    0xDF,0xCF
.db    0xBD,0xA3
.db    0x8F,0x7C
.db    0x70,0x69
.db    0x66,0x63
.db    0x5F,0x58
.db    0x56,0x4E
.db    0x49,0x47
.db    0x49,0x52
.db    0x5F,0x72
.db    0x95,0xB1
.db    0xC7,0xD3
.db    0xDB,0xCF
.db    0xBE,0xA4
.db    0x91,0x7F
.db    0x71,0x6A
.db    0x6B,0x69
.db    0x66,0x61
.db    0x5B,0x54
.db    0x4D,0x48
.db    0x47,0x4B
.db    0x56,0x66
.db    0x8B,0xAB
.db    0xC5,0xD8
.db    0xE3,0xDB
.db    0xCB,0xB5
.db    0x9E,0x88
.db    0x78,0x6E
.db    0x67,0x62
.db    0x5C,0x58
.db    0x53,0x4D
.db    0x46,0x42
.db    0x42,0x44
.db    0x4E,0x6A
.db    0x92,0xAD
.db    0xC9,0xE4
.db    0xE8,0xDE
.db    0xCB,0xAF
.db    0x91,0x7D
.db    0x6C,0x62
.db    0x5C,0x58
.db    0x52,0x50
.db    0x4B,0x47
.db    0x43,0x43
.db    0x46,0x50
.db    0x6E,0x91
.db    0xA9,0xC8
.db    0xE1,0xE5
.db    0xDA,0xCB
.db    0xB0,0x93
.db    0x7E,0x6C
.db    0x5F,0x57
.db    0x51,0x4C
.db    0x4A,0x47
.db    0x44,0x44
.db    0x47,0x4B
.db    0x59,0x7D
.db    0x9E,0xB6
.db    0xD1,0xE4
.db    0xE2,0xD2
.db    0xBD,0x9E
.db    0x86,0x71
.db    0x5E,0x56
.db    0x52,0x4A
.db    0x47,0x45
.db    0x3E,0x3B
.db    0x41,0x44
.db    0x4D,0x72
.db    0x97,0xAC
.db    0xCA,0xE4
.db    0xE6,0xDA
.db    0xCA,0xAE
.db    0x96,0x81
.db    0x6E,0x60
.db    0x58,0x50
.db    0x49,0x45
.db    0x40,0x3E
.db    0x40,0x42
.db    0x4B,0x69
.db    0x89,0xA1
.db    0xC0,0xDB
.db    0xE3,0xD7
.db    0xC4,0xA7
.db    0x8C,0x74
.db    0x60,0x53
.db    0x4B,0x44
.db    0x41,0x3C
.db    0x3A,0x3F
.db    0x43,0x4A
.db    0x5E,0x84
.db    0xA1,0xB7
.db    0xD4,0xE7
.db    0xE5,0xD7
.db    0xBB,0x9E
.db    0x87,0x71
.db    0x5D,0x52
.db    0x47,0x3F
.db    0x3C,0x38
.db    0x37,0x3E
.db    0x48,0x59
.db    0x7D,0xA1
.db    0xB8,0xD2
.db    0xE5,0xE5
.db    0xD5,0xBD
.db    0x9E,0x84
.db    0x6B,0x57
.db    0x49,0x3F
.db    0x37,0x36
.db    0x35,0x37
.db    0x42,0x4F
.db    0x61,0x87
.db    0xAC,0xC4
.db    0xD8,0xE8
.db    0xE8,0xD1
.db    0xB5,0x97
.db    0x7E,0x68
.db    0x56,0x49
.db    0x41,0x3A
.db    0x38,0x38
.db    0x3C,0x44
.db    0x51,0x63
.db    0x86,0xA7
.db    0xBC,0xD0
.db    0xE1,0xDE
.db    0xCD,0xB3
.db    0x9A,0x85
.db    0x71,0x5F
.db    0x51,0x47
.db    0x3F,0x3B
.db    0x3A,0x3F
.db    0x44,0x4D
.db    0x63,0x86
.db    0xA5,0xBC
.db    0xD1,0xE1
.db    0xE0,0xCC
.db    0xB0,0x97
.db    0x80,0x6B
.db    0x56,0x4A
.db    0x40,0x39
.db    0x37,0x38
.db    0x3E,0x49
.db    0x57,0x74
.db    0x94,0xAE
.db    0xC1,0xD6
.db    0xE1,0xD9
.db    0xC1,0xA8
.db    0x93,0x7D
.db    0x67,0x54
.db    0x45,0x3A
.db    0x35,0x33
.db    0x38,0x42
.db    0x50,0x5F
.db    0x80,0x9C
.db    0xAF,0xBE
.db    0xCE,0xD4
.db    0xD0,0xB8
.db    0xA8,0x83
.db    0x7A,0x64
.db    0x52,0x43
.db    0x3C,0x38
.db    0x3A,0x46
.db    0x53,0x65
.db    0x78,0x9C
.db    0xC0,0xD1
.db    0xD5,0xD1
.db    0xC9,0xB9
.db    0xA0,0x86
.db    0x76,0x61
.db    0x56,0x43
.db    0x38,0x36
.db    0x37,0x39
.db    0x43,0x52
.db    0x66,0x80
.db    0x9F,0xBF
.db    0xD1,0xD7
.db    0xD3,0xD1
.db    0xBF,0x9B
.db    0x80,0x65
.db    0x54,0x3B
.db    0x30,0x2E
.db    0x38,0x45
.db    0x46,0x5B
.db    0x65,0x77
.db    0x8C,0xA7
.db    0xBE,0xCC
.db    0xCF,0xCB
.db    0xC9,0xAE
.db    0x93,0x85
.db    0x7A,0x6E
.db    0x62,0x54
.db    0x4B,0x4B
.db    0x4A,0x4C
.db    0x52,0x59
.db    0x67,0x75
.db    0x8B,0xA3
.db    0xB4,0xBB
.db    0xC1,0xBF
.db    0xB7,0xA5
.db    0x8B,0x75
.db    0x65,0x55
.db    0x45,0x3C
.db    0x3F,0x48
.db    0x50,0x5A
.db    0x65,0x75
.db    0x88,0x9E
.db    0xAE,0xBA
.db    0xC1,0xBF
.db    0xB7,0xAA
.db    0x9B,0x86
.db    0x73,0x64
.db    0x5A,0x50
.db    0x4C,0x4A
.db    0x4B,0x50
.db    0x5C,0x65
.db    0x72,0x82
.db    0x92,0xA2
.db    0xAF,0xB8
.db    0xBC,0xB9
.db    0xB0,0xA5
.db    0x93,0x7F
.db    0x6D,0x5E
.db    0x55,0x50
.db    0x48,0x4B
.db    0x56,0x58
.db    0x63,0x6E
.db    0x7F,0x8C
.db    0x9B,0xA2
.db    0xA8,0xAE
.db    0xAE,0xA5
.db    0x9E,0x93
.db    0x86,0x7D
.db    0x70,0x68
.db    0x61,0x62
.db    0x5F,0x5E
.db    0x5E,0x68
.db    0x69,0x6B
.db    0x6D,0x78
.db    0x84,0x8B
.db    0x93,0x9A
.db    0xA1,0xA3
.db    0xA0,0x99
.db    0x94,0x8E
.db    0x82,0x77
.db    0x6D,0x6B
.db    0x63,0x63
.db    0x61,0x62
.db    0x6A,0x68
.db    0x6E,0x78
.db    0x82,0x8C
.db    0x90,0x98
.db    0x9B,0x9F
.db    0x9C,0x96
.db    0x92,0x95
.db    0x85,0x7E
.db    0x7A,0x76
.db    0x6E,0x6A
.db    0x65,0x69
.db    0x63,0x69
.db    0x68,0x70
.db    0x71,0x7A
.db    0x80,0x88
.db    0x92,0x93
.db    0x99,0x97
.db    0x93,0x90
.db    0x8F,0x86
.db    0x7F,0x82
.db    0x7D,0x74
.db    0x73,0x6A
.db    0x65,0x6A
.db    0x6C,0x6F
.db    0x77,0x7C
.db    0x7B,0x7C
.db    0x87,0x8E
.db    0x92,0x98
.db    0x96,0x9A
.db    0x93,0x93
.db    0x85,0x82
.db    0x76,0x78
.db    0x70,0x71
.db    0x6C,0x6A
.db    0x66,0x6B
.db    0x6B,0x72
.db    0x73,0x72
.db    0x82,0x81
.db    0x8C,0x91
.db    0xA2,0xA0
.db    0x9E,0x94
.db    0x9A,0x98
.db    0x8C,0x80
.db    0x72,0x69
.db    0x72,0x6B
.db    0x66,0x63
.db    0x61,0x5B
.db    0x57,0x5E
.db    0x68,0x6A
.db    0x7F,0x84
.db    0x8D,0xA3
.db    0xA7,0xB8
.db    0xAD,0xB2
.db    0xA4,0x98
.db    0x86,0x75
.db    0x67,0x66
.db    0x61,0x5D
.db    0x4D,0x50
.db    0x4E,0x56
.db    0x65,0x71
.db    0x6D,0x7C
.db    0x8F,0xAC
.db    0xBD,0xBF
.db    0xC5,0xB7
.db    0xA6,0x99
.db    0x92,0x7A
.db    0x70,0x66
.db    0x56,0x4B
.db    0x46,0x4B
.db    0x44,0x3F
.db    0x4C,0x60
.db    0x62,0x6A
.db    0x7B,0x9D
.db    0xBF,0xDD
.db    0xE8,0xD5
.db    0xBD,0xA1
.db    0x93,0x90
.db    0x7D,0x73
.db    0x75,0x87
.db    0x7B,0x64
.db    0x4D,0x49
.db    0x3C,0x35
.db    0x38,0x3B
.db    0x3D,0x50
.db    0x64,0x88
.db    0xAE,0xDC
.db    0xF4,0xEB
.db    0xC2,0x9F
.db    0x7B,0x6D
.db    0x5F,0x66
.db    0x76,0x92
.db    0xA0,0x95
.db    0x7D,0x60
.db    0x54,0x4B
.db    0x4B,0x40
.db    0x3B,0x40
.db    0x57,0x72
.db    0x9C,0xCB
.db    0xF9,0xFF
.db    0xE3,0xAA
.db    0x76,0x59
.db    0x52,0x60
.db    0x73,0x8B
.db    0xAA,0xBC
.db    0xB5,0x92
.db    0x64,0x46
.db    0x3D,0x3F
.db    0x41,0x38
.db    0x34,0x42
.db    0x68,0x99
.db    0xCC,0xF0
.db    0xF6,0xDB
.db    0xB0,0x85
.db    0x63,0x4C
.db    0x4F,0x5F
.db    0x7E,0x9F
.db    0xB4,0xAF
.db    0x92,0x6A
.db    0x4A,0x38
.db    0x38,0x44
.db    0x4A,0x4A
.db    0x48,0x52
.db    0x6B,0x98
.db    0xCD,0xF5
.db    0xF0,0xC3
.db    0x8F,0x70
.db    0x63,0x5E
.db    0x60,0x71
.db    0x93,0xB6
.db    0xC3,0xAE
.db    0x87,0x65
.db    0x51,0x46
.db    0x40,0x3F
.db    0x40,0x41
.db    0x47,0x58
.db    0x77,0xA6
.db    0xDE,0xFF
.db    0xF1,0xBA
.db    0x81,0x66
.db    0x60,0x5F
.db    0x60,0x6D
.db    0x8C,0xB1
.db    0xC3,0xB4
.db    0x8F,0x6F
.db    0x63,0x65
.db    0x62,0x52
.db    0x3F,0x38
.db    0x38,0x39
.db    0x3D,0x56
.db    0x92,0xDD
.db    0xFF,0xFB
.db    0xBC,0x7F
.db    0x5F,0x5B
.db    0x5F,0x63
.db    0x77,0x9B
.db    0xBB,0xBF
.db    0xA1,0x77
.db    0x5D,0x61
.db    0x6F,0x70
.db    0x60,0x4B
.db    0x3F,0x3C
.db    0x39,0x38
.db    0x4A,0x86
.db    0xDD,0xFF
.db    0xFF,0xC4
.db    0x77,0x53
.db    0x57,0x64
.db    0x67,0x70
.db    0x8F,0xB4
.db    0xBE,0x9E
.db    0x70,0x57
.db    0x60,0x76
.db    0x7D,0x6F
.db    0x59,0x4B
.db    0x46,0x3D
.db    0x36,0x3F
.db    0x6A,0xBB
.db    0xFF,0xFF
.db    0xD4,0x8F
.db    0x6F,0x6C
.db    0x65,0x5B
.db    0x67,0x95
.db    0xBF,0xC5
.db    0xA1,0x73
.db    0x57,0x5F
.db    0x75,0x7A
.db    0x6D,0x5C
.db    0x54,0x4A
.db    0x3A,0x2C
.db    0x31,0x59
.db    0xA0,0xE9
.db    0xFF,0xEE
.db    0xBB,0x92
.db    0x77,0x61
.db    0x52,0x5A
.db    0x7E,0xA6
.db    0xB5,0xA1
.db    0x7F,0x6D
.db    0x6F,0x74
.db    0x79,0x7D
.db    0x77,0x66
.db    0x4C,0x32
.db    0x27,0x2C
.db    0x4A,0x82
.db    0xCB,0xFF
.db    0xFC,0xCE
.db    0x9D,0x81
.db    0x68,0x51
.db    0x50,0x6F
.db    0xA2,0xB8
.db    0x9E,0x7E
.db    0x75,0x71
.db    0x68,0x69
.db    0x70,0x6D
.db    0x5B,0x44
.db    0x39,0x36
.db    0x37,0x4A
.db    0x76,0xC4
.db    0xFF,0xF3
.db    0xBC,0x9A
.db    0x86,0x60
.db    0x43,0x55
.db    0x8F,0xB5
.db    0xB0,0xA4
.db    0x9A,0x82
.db    0x5F,0x58
.db    0x6D,0x75
.db    0x5A,0x49
.db    0x48,0x3C
.db    0x26,0x2B
.db    0x55,0x97
.db    0xDA,0xF1
.db    0xE7,0xC2
.db    0x9C,0x74
.db    0x5B,0x5B
.db    0x74,0x95
.db    0xA6,0xB1
.db    0xAF,0x9A
.db    0x80,0x7C
.db    0x7B,0x6D
.db    0x5B,0x4E
.db    0x43,0x2A
.db    0x21,0x28
.db    0x40,0x68
.db    0xAD,0xF0
.db    0xF5,0xD9
.db    0xC2,0x9C
.db    0x6A,0x58
.db    0x6C,0x79
.db    0x8D,0xAA
.db    0xB2,0x9B
.db    0x8B,0x82
.db    0x72,0x60
.db    0x59,0x4A
.db    0x35,0x2B
.db    0x2C,0x2E
.db    0x47,0x78
.db    0xBA,0xE6
.db    0xE8,0xDC
.db    0xB8,0x8B
.db    0x71,0x69
.db    0x63,0x79
.db    0x99,0xA3
.db    0xA2,0x9A
.db    0x85,0x75
.db    0x67,0x51
.db    0x44,0x3D
.db    0x2F,0x30
.db    0x39,0x49
.db    0x6D,0xA2
.db    0xCC,0xD7
.db    0xD5,0xC2
.db    0xA0,0x89
.db    0x82,0x82
.db    0x89,0x96
.db    0x95,0x91
.db    0x87,0x7A
.db    0x71,0x70
.db    0x70,0x71
.db    0x71,0x6B
.db    0x68,0x65
.db    0x62,0x61
.db    0x63,0x68
.db    0x6E,0x7A
.db    0x82,0x8B
.db    0x92,0x9A
.db    0x9D,0x9F
.db    0x9E,0x9A
.db    0x96,0x8F
.db    0x87,0x80
.db    0x79,0x74
.db    0x6F,0x69
.db    0x65,0x61
.db    0x5E,0x5D
.db    0x61,0x67
.db    0x71,0x7D
.db    0x8D,0x97
.db    0xA6,0xAC
.db    0xAE,0xAD
.db    0xAB,0xA0
.db    0x9D,0x97
.db    0x6C,0x73
.db    0x66,0x60
.db    0x64,0x66
.db    0x68,0x57
.db    0x54,0x61
.db    0x6C,0x6B
.db    0x7B,0x7D
.db    0x7D,0x88
.db    0x95,0x9C
.db    0x9A,0x9D
.db    0x9A,0x95
.db    0x94,0x90
.db    0x8A,0x80
.db    0x7A,0x75
.db    0x70,0x6C
.db    0x69,0x69
.db    0x6B,0x6C
.db    0x6F,0x75
.db    0x75,0x7D
.db    0x81,0x87
.db    0x8A,0x8F
.db    0x8E,0x8C
.db    0x8C,0x85
.db    0x86,0x82
.db    0x81,0x82
.db    0x75,0x77
.db    0x78,0x7B
.db    0x7D,0x78
.db    0x78,0x7B
.db    0x7B,0x78
.db    0x7C,0x7C
.db    0x7B,0x80
.db    0x79,0x86
.db    0x86,0x93
.db    0x97,0x98
.db    0x9A,0x87
.db    0x87,0x76
.db    0x76,0x74
.db    0x77,0x80
.db    0x82,0xA2
.db    0x4E,0x66
.db    0x92,0x83
.db    0x68,0x42
.db    0x7D,0x6F
.db    0x87,0x8B
.db    0xA0,0xB9
.db    0x94,0x88
.db    0x7A,0x75
.db    0x85,0x76
.db    0x8D,0x75
.db    0x79,0x67
.db    0x67,0x63
.db    0x5E,0x71
.db    0x6A,0x7F
.db    0x80,0x89
.db    0x8E,0x92
.db    0x9B,0x9C
.db    0xA3,0x9B
.db    0xA1,0x96
.db    0x8A,0x82
.db    0x74,0x6B
.db    0x63,0x5B
.db    0x5D,0x57
.db    0x5A,0x5F
.db    0x64,0x71
.db    0x8A,0xA2
.db    0xAF,0xBD
.db    0xB9,0xAB
.db    0x9D,0x8B
.db    0x81,0x7D
.db    0x71,0x67
.db    0x69,0x61
.db    0x5B,0x5C
.db    0x63,0x61
.db    0x6D,0x6F
.db    0x76,0x84
.db    0x94,0xA3
.db    0xAA,0xAB
.db    0xB6,0x66
.db    0xC5,0x51
.db    0x55,0x69
.db    0x58,0x49
.db    0x66,0x6B
.db    0x2F,0x54
.db    0x53,0x51
.db    0x4B,0x93
.db    0xAB,0xA7
.db    0xC8,0xA6
.db    0xB3,0x73
.db    0xA6,0x88
.db    0x7E,0x6D
.db    0x62,0x44
.db    0x2C,0x32
.db    0x59,0x63
.db    0x97,0xB8
.db    0xBC,0xD7
.db    0xA1,0xAE
.db    0x7B,0x72
.db    0x4D,0x6E
.db    0x66,0x71
.db    0x8B,0x9B
.db    0x83,0x6C
.db    0x63,0x4A
.db    0x3B,0x39
.db    0x71,0x76
.db    0xB4,0xCA
.db    0xE5,0xBF
.db    0xA3,0x97
.db    0x7A,0x79
.db    0x6F,0x7D
.db    0x6B,0x62
.db    0x68,0x5D
.db    0x5E,0x47
.db    0x50,0x4C
.db    0x7B,0xAA
.db    0xDC,0xE9
.db    0xD7,0xAA
.db    0x71,0x47
.db    0x33,0x3A
.db    0x4E,0x5D
.db    0x73,0x73
.db    0x79,0x71
.db    0x7D,0x69
.db    0x70,0x70
.db    0xA7,0xC4
.db    0xF1,0xE7
.db    0xD5,0xA0
.db    0x6C,0x5A
.db    0x45,0x56
.db    0x61,0x6D
.db    0x72,0x6D
.db    0x6A,0x52
.db    0x47,0x37
.db    0x3A,0x54
.db    0x83,0xA9
.db    0xDE,0xFD
.db    0xEE,0xD0
.db    0xA7,0x82
.db    0x57,0x53
.db    0x52,0x67
.db    0x77,0x81
.db    0x7D,0x6D
.db    0x57,0x40
.db    0x2F,0x30
.db    0x45,0x7A
.db    0xA1,0xD6
.db    0xF7,0xEA
.db    0xD0,0xA5
.db    0x81,0x5E
.db    0x56,0x53
.db    0x67,0x76
.db    0x83,0x87
.db    0x73,0x63
.db    0x49,0x3D
.db    0x34,0x46
.db    0x50,0x94
.db    0xB7,0xE3
.db    0xE4,0xEB
.db    0xBE,0x9A
.db    0x78,0x60
.db    0x5B,0x5C
.db    0x70,0x78
.db    0x82,0x82
.db    0x77,0x66
.db    0x56,0x42
.db    0x3C,0x45
.db    0x4A,0x81
.db    0xAB,0xD6
.db    0xE1,0xE6
.db    0xCC,0xA1
.db    0x80,0x5C
.db    0x52,0x51
.db    0x62,0x74
.db    0x81,0x87
.db    0x82,0x78
.db    0x63,0x57
.db    0x4F,0x4E
.db    0x57,0x69
.db    0x8F,0xA7
.db    0xC3,0xC7
.db    0xCD,0xBB
.db    0xA4,0x8A
.db    0x75,0x68
.db    0x5E,0x62
.db    0x67,0x71
.db    0x76,0x77
.db    0x74,0x71
.db    0x68,0x61
.db    0x61,0x63
.db    0x69,0x77
.db    0x88,0x96
.db    0xA8,0xB0
.db    0xB6,0xB3
.db    0xAA,0x98
.db    0x89,0x7C
.db    0x70,0x6F
.db    0x70,0x72
.db    0x76,0x76
.db    0x77,0x76
.db    0x73,0x6F
.db    0x6B,0x69
.db    0x69,0x6A
.db    0x6F,0x76
.db    0x7D,0x87
.db    0x90,0x99
.db    0x9F,0x9F
.db    0x9C,0x94
.db    0x8B,0x85
.db    0x80,0x7E
.db    0x79,0x78
.db    0x77,0x77
.db    0x77,0x78
.db    0x79,0x78
.db    0x77,0x75
.db    0x74,0x72
.db    0x73,0x73
.db    0x76,0x7A
.db    0x7E,0x85
.db    0x87,0x8D
.db    0x90,0x91
.db    0x92,0x8F
.db    0x8D,0x89
.db    0x86,0x82
.db    0x80,0x7E
.db    0x7C,0x7B
.db    0x7B,0x7B
.db    0x7A,0x79
.db    0x7A,0x79
.db    0x79,0x79
.db    0x79,0x79
.db    0x7A,0x7B
.db    0x7D,0x7F
.db    0x81,0x82
.db    0x83,0x85
.db    0x84,0x84
.db    0x83,0x83
.db    0x82,0x81
.db    0x81,0x81
.db    0x80,0x81
.db    0x80,0x81
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x81
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x81
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x7F
.db    0x81,0x7F
.db    0x80,0x7F
.db    0x81,0x7E
.db    0x81,0x80
.db    0x7D,0x7F
.db    0x80,0x7F
.db    0x80,0x7E
.db    0x7E,0x83
.db    0x7A,0x80
.db    0x81,0x7E
.db    0x7E,0x7D
.db    0x82,0x83
.db    0x81,0x7C
.db    0x81,0x7D
.db    0x7D,0x83
.db    0x7A,0x7F
.db    0x7B,0x84
.db    0x7B,0x7F
.db    0x7F,0x8A
.db    0x84,0x96
.db    0x70,0x68
.db    0x74,0x93
.db    0x85,0x71
.db    0x79,0x86
.db    0x80,0x82
.db    0x88,0x7C
.db    0x87,0x8C
.db    0x7B,0x89
.db    0x67,0x83
.db    0x6A,0x82
.db    0x7B,0x8A
.db    0x8C,0x62
.db    0x8A,0x7D
.db    0x83,0x87
.db    0x75,0x8D
.db    0x85,0x79
.db    0x84,0x7D
.db    0x88,0x92
.db    0x74,0x7A
.db    0x68,0x80
.db    0x75,0x89
.db    0x88,0x81
.db    0x8A,0x87
.db    0x8E,0x84
.db    0x70,0x75
.db    0x7E,0x7A
.db    0x7D,0x7E
.db    0x8C,0x7F
.db    0x81,0x83
.db    0x86,0x82
.db    0x7C,0x7D
.db    0x7A,0x78
.db    0x79,0x7B
.db    0x85,0x8B
.db    0x94,0x93
.db    0x93,0x8C
.db    0x88,0x83
.db    0x7D,0x7F
.db    0x7B,0x7E
.db    0x7E,0x78
.db    0x78,0x77
.db    0x6F,0x6F
.db    0x6E,0x6A
.db    0x6E,0x6A
.db    0x6E,0x6E
.db    0x6B,0x79
.db    0x83,0x96
.db    0xB7,0xBB
.db    0xCA,0xC4
.db    0xAF,0x95
.db    0x70,0x60
.db    0x54,0x62
.db    0x71,0x82
.db    0x99,0x98
.db    0x9C,0x8A
.db    0x7C,0x66
.db    0x5C,0x4A
.db    0x42,0x2F
.db    0x36,0x31
.db    0x45,0x64
.db    0x87,0xC8
.db    0xD7,0xEA
.db    0xE4,0xBF
.db    0xA4,0x7D
.db    0x5F,0x66
.db    0x6F,0x88
.db    0x9E,0xA7
.db    0xA4,0x99
.db    0x8D,0x81
.db    0x76,0x68
.db    0x5C,0x50
.db    0x40,0x36
.db    0x39,0x3D
.db    0x60,0x81
.db    0xC3,0xDA
.db    0xEA,0xDB
.db    0xB2,0x87
.db    0x5F,0x48
.db    0x49,0x5C
.db    0x74,0x8E
.db    0x98,0x99
.db    0x8D,0x7B
.db    0x7B,0x76
.db    0x6B,0x6D
.db    0x5B,0x53
.db    0x49,0x3F
.db    0x4E,0x55
.db    0x7A,0xAE
.db    0xDE,0xF2
.db    0xE7,0xCA
.db    0x99,0x75
.db    0x59,0x5D
.db    0x69,0x85
.db    0x9E,0xAC
.db    0xA6,0x9B
.db    0x84,0x6E
.db    0x7A,0x6E
.db    0x67,0x54
.db    0x3A,0x21
.db    0x18,0x17
.db    0x2E,0x46
.db    0x71,0x9B
.db    0xD8,0xEB
.db    0xF0,0xE3
.db    0xB6,0xA3
.db    0x7D,0x73
.db    0x79,0x83
.db    0x93,0x9F
.db    0x9D,0x97
.db    0x83,0x75
.db    0x79,0x73
.db    0x6D,0x52
.db    0x38,0x21
.db    0x16,0x13
.db    0x2E,0x49
.db    0x6E,0x8D
.db    0xC3,0xE0
.db    0xEF,0xE4
.db    0xCD,0xA8
.db    0x90,0x76
.db    0x6F,0x78
.db    0x7A,0x91
.db    0x96,0x97
.db    0x8D,0x79
.db    0x74,0x76
.db    0x72,0x64
.db    0x5A,0x38
.db    0x34,0x27
.db    0x27,0x47
.db    0x54,0x84
.db    0x9C,0xC4
.db    0xE3,0xDE
.db    0xDB,0xCB
.db    0xAB,0x99
.db    0x81,0x6F
.db    0x75,0x81
.db    0x8A,0x96
.db    0x8F,0x81
.db    0x7E,0x80
.db    0x79,0x7B
.db    0x62,0x55
.db    0x3C,0x38
.db    0x30,0x35
.db    0x33,0x50
.db    0x59,0x69
.db    0x95,0x8F
.db    0xCC,0xD3
.db    0xCB,0xE7
.db    0xBC,0xB4
.db    0xA8,0x8E
.db    0x86,0x7C
.db    0x78,0x85
.db    0x74,0x7F
.db    0x77,0x77
.db    0x77,0x69
.db    0x6E,0x4D
.db    0x64,0x37
.db    0x54,0x31
.db    0x48,0x4A
.db    0x5E,0x60
.db    0x69,0x72
.db    0x97,0xA2
.db    0xAD,0xC5
.db    0xCD,0xCE
.db    0xC4,0xBC
.db    0x99,0xAB
.db    0x9E,0x8E
.db    0xA3,0x8D
.db    0x84,0x99
.db    0x6E,0x81
.db    0x4A,0x55
.db    0x45,0x4C
.db    0x60,0x4F
.db    0x55,0x4C
.db    0x48,0x6C
.db    0x64,0x7A
.db    0x85,0x88
.db    0x9B,0x7C
.db    0x99,0xAE
.db    0x8E,0xC6
.db    0xB2,0x89
.db    0xA2,0x91
.db    0xA8,0x78
.db    0xAC,0x85
.db    0x86,0x79
.db    0x5B,0x75
.db    0x65,0xA0
.db    0x71,0x7C
.db    0x63,0x81
.db    0x76,0x72
.db    0x45,0x7C
.db    0x7A,0x74
.db    0x78,0x6A
.db    0x9E,0x68
.db    0x8E,0x8F
.db    0x76,0x8D
.db    0x76,0x86
.db    0x9E,0x90
.db    0x7E,0x78
.db    0x96,0x96
.db    0x8F,0x5D
.db    0xAF,0x74
.db    0x64,0x6E
.db    0x60,0xAA
.db    0x5C,0x58
.db    0x62,0x79
.db    0x96,0x69
.db    0x98,0x36
.db    0x81,0x53
.db    0xA5,0x5E
.db    0x70,0x44
.db    0xA6,0x84
.db    0xB7,0x53
.db    0x79,0x74
.db    0x94,0x6F
.db    0x7E,0x7E
.db    0x98,0x87
.db    0x97,0x7E
.db    0x99,0x7B
.db    0x57,0xA8
.db    0x7B,0x9D
.db    0x8F,0x7C
.db    0x65,0x77
.db    0x90,0xA0
.db    0x7B,0x75
.db    0x58,0xB9
.db    0x93,0x94
.db    0x4F,0x63
.db    0x8D,0x99
.db    0x93,0x5C
.db    0xAE,0x8F
.db    0x69,0x57
.db    0x87,0x9C
.db    0x8D,0x8F
.db    0x8E,0x78
.db    0x97,0x56
.db    0x73,0x87
.db    0x47,0x95
.db    0x80,0x7C
.db    0x7E,0x95
.db    0x98,0x83
.db    0x98,0x99
.db    0xA1,0x68
.db    0x6C,0x84
.db    0x67,0x79
.db    0x88,0x88
.db    0x90,0x8A
.db    0x67,0xA6
.db    0x58,0x8F
.db    0x52,0x7F
.db    0x98,0x80
.db    0x9D,0x88
.db    0x65,0x7A
.db    0x61,0xA3
.db    0x83,0x73
.db    0x65,0x95
.db    0xB2,0x94
.db    0xA3,0x70
.db    0xA1,0x73
.db    0x78,0x85
.db    0x68,0x7B
.db    0x8B,0x7A
.db    0x96,0x7C
.db    0x6D,0x94
.db    0x7A,0x7F
.db    0x89,0x82
.db    0x77,0x52
.db    0x80,0xA9
.db    0x7C,0x95
.db    0x4B,0x7B
.db    0x70,0x8B
.db    0x64,0x8D
.db    0x7B,0x80
.db    0x74,0x57
.db    0x70,0x93
.db    0x6E,0x6A
.db    0x6D,0x98
.db    0x87,0x71
.db    0x74,0x6B
.db    0x9D,0x85
.db    0x84,0xA3
.db    0x8F,0x8B
.db    0x49,0x86
.db    0x81,0x93
.db    0x63,0x94
.db    0x88,0x6D
.db    0x98,0x6F
.db    0x99,0x96
.db    0x7A,0x60
.db    0xA4,0x87
.db    0x80,0x7F
.db    0x94,0x6B
.db    0xB1,0xAA
.db    0x75,0xC3
.db    0x40,0x89
.db    0x5F,0x9B
.db    0x7F,0x53
.db    0x6A,0x8C
.db    0xB7,0x77
.db    0x72,0x58
.db    0x84,0xA6
.db    0x81,0x4A
.db    0x37,0x9F
.db    0x8C,0xC7
.db    0xAF,0x86
.db    0xA7,0xB2
.db    0x55,0x6D
.db    0x73,0x95
.db    0x23,0x8A
.db    0x88,0xA0
.db    0x3C,0x90
.db    0x7B,0x8A
.db    0x84,0x3C
.db    0xB4,0x7A
.db    0xA3,0x59
.db    0xBA,0xB6
.db    0x5E,0x43
.db    0x83,0x76
.db    0x6E,0x63
.db    0x64,0x4E
.db    0x65,0xAA
.db    0x80,0xCA
.db    0x8B,0x79
.db    0x81,0x99
.db    0x79,0x89
.db    0x7B,0x72
.db    0x60,0xA0
.db    0x95,0x93
.db    0x65,0x87
.db    0x82,0x59
.db    0xB1,0x72
.db    0x90,0x60
.db    0x6B,0x7D
.db    0x5E,0x99
.db    0x76,0x91
.db    0x63,0x7B
.db    0x93,0x7A
.db    0x66,0x81
.db    0x90,0x97
.db    0x47,0x65
.db    0x75,0x82
.db    0x9A,0x83
.db    0x77,0x8B
.db    0x65,0x7C
.db    0x6F,0x8A
.db    0x99,0x88
.db    0x7E,0x85
.db    0x8F,0x7A
.db    0x77,0x76
.db    0x8D,0x82
.db    0x83,0x7A
.db    0x7C,0x87
.db    0x8A,0x77
.db    0x8A,0x71
.db    0x8E,0x74
.db    0x7F,0x7D
.db    0x79,0x81
.db    0x88,0x7F
.db    0x7E,0x7C
.db    0x81,0x81
.db    0x7E,0x7F
.db    0x7E,0x80
.db    0x7C,0x7C
.db    0x80,0x7F
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x7F
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x81,0x80
.db    0x7F,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x80,0x7E
.db    0x7E,0x7F
.db    0x7E,0x7F
.db    0x7F,0x7E
.db    0x7E,0x7F
.db    0x7E,0x7F
.db    0x7E,0x7E
.db    0x7F,0x7E
.db    0x7F,0x7F
.db    0x80,0x7E
.db    0x80,0x7F
.db    0x80,0x7F
.db    0x80,0x80
.db    0x82,0x80
.db    0x81,0x80
.db    0x7E,0x82
.db    0x81,0x84
.db    0x81,0x83
.db    0x83,0x85
.db    0x86,0x86
.db    0x83,0x83
.db    0x83,0x7F
.db    0x86,0x83
.db    0x96,0x8A
.db    0xE8,0x83
.db    0xA2,0x73
.db    0x66,0x5E
.db    0x4E,0x9B
.db    0x6E,0x6D
.db    0x4C,0x7B
.db    0x65,0x80
.db    0x8A,0xAF
.db    0xA2,0x90
.db    0x88,0x81
.db    0x72,0x76
.db    0x76,0x77
.db    0x79,0x6C
.db    0x5D,0x61
.db    0x68,0x76
.db    0x99,0xCB
.db    0xE3,0xD7
.db    0xB9,0x92
.db    0x7F,0x80
.db    0x98,0x9A
.db    0x97,0x9A
.db    0x81,0x7C
.db    0x65,0x74
.db    0x7E,0x81
.db    0x69,0x4A
.db    0x47,0x38
.db    0x2F,0x24
.db    0x37,0x37
.db    0x56,0x73
.db    0xC4,0xE1
.db    0xBB,0x93
.db    0x6D,0x8D
.db    0x9F,0xB6
.db    0xB3,0x96
.db    0x84,0x7D
.db    0x89,0x95
.db    0x97,0xA4
.db    0x90,0x7C
.db    0x5D,0x58
.db    0x60,0x5D
.db    0x4D,0x37
.db    0x46,0x62
.db    0x93,0xAA
.db    0xF7,0xBC
.db    0xBC,0x7B
.db    0x88,0xAE
.db    0xA5,0xA3
.db    0x6A,0x62
.db    0x68,0x85
.db    0x8F,0x73
.db    0x72,0x6A
.db    0x88,0x79
.db    0x6F,0x59
.db    0x48,0x45
.db    0x38,0x40
.db    0x42,0x46
.db    0x6B,0x7A
.db    0xFF,0xC7
.db    0x7C,0x67
.db    0x91,0xCD
.db    0xAF,0x90
.db    0x60,0x74
.db    0x9B,0x9A
.db    0x8A,0x5A
.db    0x67,0x88
.db    0x98,0xA9
.db    0x91,0x4F
.db    0x50,0x55
.db    0x57,0x49
.db    0x28,0x36
.db    0x40,0x6B
.db    0xAF,0xFE
.db    0x94,0x6C
.db    0x7F,0xA9
.db    0xE2,0x90
.db    0x77,0x84
.db    0x94,0xA6
.db    0x8F,0x80
.db    0x7E,0x7F
.db    0x82,0x85
.db    0x7D,0x7B
.db    0x85,0x6A
.db    0x3F,0x53
.db    0x57,0x3F
.db    0x31,0x25
.db    0x34,0x5F
.db    0x75,0xF7
.db    0xBB,0x64
.db    0x8B,0xB2
.db    0xD7,0xA8
.db    0x82,0xAD
.db    0xA3,0xA0
.db    0x82,0x84
.db    0x84,0x65
.db    0x83,0x83
.db    0x87,0x84
.db    0x82,0x8F
.db    0x87,0x6A
.db    0x4F,0x4D
.db    0x2F,0x39
.db    0x33,0x3B
.db    0x52,0x5F
.db    0xE4,0xAC
.db    0x6F,0xAB
.db    0xB1,0xB5
.db    0x97,0x85
.db    0xA7,0x98
.db    0x8B,0x8A
.db    0x9A,0xA5
.db    0x8F,0x80
.db    0x77,0x79
.db    0x87,0x84
.db    0x68,0x55
.db    0x51,0x42
.db    0x33,0x38
.db    0x41,0x6B
.db    0x8C,0xBD
.db    0xED,0x83
.db    0x7F,0x97
.db    0xA3,0xC1
.db    0x6B,0x84
.db    0x87,0x7D
.db    0x9D,0x89
.db    0x9A,0x93
.db    0x82,0x8D
.db    0xA4,0x96
.db    0x7F,0x51
.db    0x4D,0x4E
.db    0x40,0x39
.db    0x40,0x3E
.db    0x63,0x73
.db    0xCD,0xD4
.db    0x69,0x7D
.db    0xA7,0xAB
.db    0x9C,0x77
.db    0x93,0x90
.db    0x8A,0xA5
.db    0x9A,0x8D
.db    0x92,0x85
.db    0x9D,0x91
.db    0x6D,0x54
.db    0x45,0x3C
.db    0x33,0x29
.db    0x31,0x33
.db    0x62,0x71
.db    0xE3,0xDE
.db    0x6C,0x91
.db    0xBF,0xA1
.db    0x9B,0x8A
.db    0x8F,0x9C
.db    0x94,0x98
.db    0x98,0x8D
.db    0x8E,0x83
.db    0x7F,0x79
.db    0x6B,0x5D
.db    0x46,0x41
.db    0x37,0x3F
.db    0x3F,0x4D
.db    0x71,0xC0
.db    0xBE,0x8C
.db    0x8C,0xAB
.db    0x9D,0x99
.db    0x8B,0x8D
.db    0x92,0x9B
.db    0x8D,0x8C
.db    0x95,0x8A
.db    0x82,0x79
.db    0x6C,0x61
.db    0x58,0x48
.db    0x4C,0x4F
.db    0x3A,0x51
.db    0x7F,0xC5
.db    0xD1,0x88
.db    0x98,0xA7
.db    0xA4,0x9D
.db    0x85,0x87
.db    0x93,0x8F
.db    0x8B,0x96
.db    0x93,0x8C
.db    0x86,0x74
.db    0x61,0x57
.db    0x48,0x3D
.db    0x47,0x40
.db    0x4A,0x77
.db    0xB4,0xE6
.db    0xA6,0x86
.db    0xA8,0xA5
.db    0xA0,0x80
.db    0x78,0x81
.db    0x70,0x82
.db    0x90,0x88
.db    0x7F,0x71
.db    0x5D,0x60
.db    0x59,0x4C
.db    0x3F,0x43
.db    0x37,0x50
.db    0x91,0x98
.db    0xDA,0xE1
.db    0xA1,0xBD
.db    0xCB,0x80
.db    0x9C,0x9D
.db    0x78,0x77
.db    0x71,0x63
.db    0x97,0x74
.db    0x57,0x5C
.db    0x5C,0x4D
.db    0x42,0x51
.db    0x37,0x31
.db    0x78,0xAD
.db    0xAE,0xCF
.db    0xA7,0x8E
.db    0xAF,0xA8
.db    0x83,0x9C
.db    0x81,0x70
.db    0x79,0x78
.db    0x80,0x7D
.db    0x77,0x5C
.db    0x4D,0x43
.db    0x3D,0x3C
.db    0x3D,0x44
.db    0x54,0x91
.db    0xE2,0xCA
.db    0xBA,0xA9
.db    0x9C,0xA9
.db    0xAC,0x87
.db    0x92,0x8D
.db    0x74,0x83
.db    0x86,0x7E
.db    0x7D,0x64
.db    0x5C,0x4F
.db    0x42,0x4E
.db    0x27,0x2E
.db    0x59,0x7C
.db    0xC1,0xBF
.db    0xA3,0xB3
.db    0xA3,0xB2
.db    0xB0,0x7B
.db    0xA2,0x94
.db    0x78,0x85
.db    0x84,0x83
.db    0x8C,0x55
.db    0x4B,0x3C
.db    0x1D,0x38
.db    0x2F,0x2F
.db    0x45,0x7B
.db    0xD0,0xD3
.db    0xC8,0xBB
.db    0xA5,0xB4
.db    0xB8,0xAD
.db    0xB3,0x9A
.db    0x72,0x88
.db    0x8C,0x76
.db    0x72,0x44
.db    0x38,0x34
.db    0x1E,0x2B
.db    0x3C,0x3F
.db    0x89,0xBE
.db    0xC7,0xE0
.db    0xC5,0xAE
.db    0xC4,0xBB
.db    0xA6,0xA6
.db    0x88,0x7D
.db    0x82,0x71
.db    0x6D,0x65
.db    0x48,0x23
.db    0x2A,0x28
.db    0x23,0x34
.db    0x5C,0xAA
.db    0xC1,0xC1
.db    0xD1,0xC4
.db    0xCD,0xD8
.db    0x9C,0x91
.db    0x8F,0x79
.db    0x79,0x73
.db    0x60,0x5A
.db    0x56,0x30
.db    0x39,0x37
.db    0x2F,0x2F
.db    0x4A,0x90
.db    0xD2,0xB7
.db    0xCC,0xDD
.db    0xAE,0xCF
.db    0xB8,0x8D
.db    0xAA,0x92
.db    0x76,0x98
.db    0x6E,0x46
.db    0x5E,0x4D
.db    0x35,0x3A
.db    0x21,0x13
.db    0x34,0x7A
.db    0xB7,0xD2
.db    0xCB,0xD1
.db    0xC4,0xB9
.db    0xBE,0xA3
.db    0xA3,0x99
.db    0x78,0x80
.db    0x7A,0x6F
.db    0x57,0x40
.db    0x36,0x3E
.db    0x3A,0x2D
.db    0x2E,0x54
.db    0x7B,0x94
.db    0xA6,0xC6
.db    0xC0,0xC3
.db    0xA7,0x9B
.db    0xA8,0x94
.db    0x8E,0x88
.db    0x75,0x69
.db    0x5C,0x6A
.db    0x59,0x66
.db    0x7B,0x7C
.db    0x88,0x7B
.db    0x7E,0x90
.db    0x83,0x89
.db    0x8D,0x98
.db    0xB2,0x7E
.db    0x9A,0x8A
.db    0x96,0x96
.db    0x65,0x61
.db    0x63,0x67
.db    0x6D,0x7E
.db    0x79,0x86
.db    0x88,0x84
.db    0x70,0x7C
.db    0x6B,0x7D
.db    0x76,0x7E
.db    0x84,0x80
.db    0x8E,0x88
.db    0x82,0x80
.db    0x7C,0x82
.db    0x83,0x87
.db    0x88,0x88
.db    0x94,0x8C
.db    0x8C,0x86
.db    0x85,0x85
.db    0x7F,0x80
.db    0x7E,0x7F
.db    0x7D,0x7D
.db    0x7C,0x7F
.db    0x7E,0x7B
.db    0x7B,0x7A
.db    0x7C,0x7B
.db    0x7F,0x7C
.db    0x7F,0x7D
.db    0x7F,0x7E
.db    0x7E,0x7D
.db    0x7D,0x7B
.db    0x81,0x7B
.db    0x7F,0x7C
.db    0x7F,0x7E
.db    0x7D,0x7E
.db    0x7D,0x80
.db    0x80,0x81
.db    0x81,0x7E
.db    0x80,0x7D
.db    0x7C,0x7F
.db    0x7F,0x81
.db    0x82,0x81
.db    0x82,0x80
.db    0x80,0x7D
.db    0x82,0x7F
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x7C,0x80
.db    0x7D,0x80
.db    0x7F,0x7E
.db    0x7E,0x80
.db    0x7E,0x7F
.db    0x80,0x7E
.db    0x7F,0x7E
.db    0x7F,0x7E
.db    0x81,0x7F
.db    0x80,0x81
.db    0x81,0x7F
.db    0x80,0x7D
.db    0x80,0x7E
.db    0x7F,0x7F
.db    0x7F,0x82
.db    0x7F,0x80
.db    0x7F,0x7F
.db    0x7E,0x7E
.db    0x7E,0x7F
.db    0x7F,0x80
.db    0x80,0x80
.db    0x81,0x7F
.db    0x80,0x80
.db    0x80,0x7F
.db    0x80,0x7F
.db    0x80,0x80
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x80,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7E,0x80
.db    0x80,0x7F
.db    0x7E,0x7E
.db    0x7E,0x7F
.db    0x80,0x7F
.db    0x7E,0x7E
.db    0x7F,0x7E
.db    0x7E,0x7D
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7E,0x80
.db    0x80,0x7F
.db    0x81,0x82
.db    0x81,0x82
.db    0x7F,0x82
.db    0x80,0x84
.db    0x80,0x7A
.db    0x81,0x7E
.db    0x81,0x7F
.db    0x85,0x7C
.db    0x85,0x82
.db    0x92,0x72
.db    0x86,0x88
.db    0x7F,0x9C
.db    0x4E,0x7C
.db    0x56,0x8A
.db    0x9C,0x89
.db    0x63,0x76
.db    0x90,0x65
.db    0x7A,0x6D
.db    0x87,0x6A
.db    0x7E,0x70
.db    0x86,0x8B
.db    0x9A,0x8D
.db    0x71,0xA2
.db    0x77,0x7C
.db    0x67,0x8A
.db    0x97,0x80
.db    0xAC,0x66
.db    0x9C,0x99
.db    0x7F,0x92
.db    0x8F,0xA1
.db    0x72,0xA1
.db    0x85,0x59
.db    0x6A,0x87
.db    0x5D,0x69
.db    0x7C,0x64
.db    0x70,0x7D
.db    0x73,0x76
.db    0x82,0xA0
.db    0x9A,0xB1
.db    0xA1,0x8C
.db    0xA8,0x76
.db    0x93,0x50
.db    0x74,0x48
.db    0x52,0x4F
.db    0x39,0x57
.db    0x45,0x72
.db    0x5D,0xA6
.db    0xA2,0xDA
.db    0xCB,0xD6
.db    0xAF,0x9C
.db    0x8D,0x6C
.db    0x78,0x76
.db    0x96,0x89
.db    0x93,0x89
.db    0x7F,0x64
.db    0x48,0x2F
.db    0x1B,0x11
.db    0x2B,0x3B
.db    0x83,0xA1
.db    0xE6,0xE3
.db    0xF1,0xC2
.db    0xAE,0x87
.db    0x6E,0x6E
.db    0x7E,0x84
.db    0x8E,0x97
.db    0x91,0x8A
.db    0x86,0x74
.db    0x67,0x49
.db    0x35,0x2B
.db    0x35,0x44
.db    0x81,0xB7
.db    0xE9,0xF9
.db    0xDB,0xA8
.db    0x85,0x58
.db    0x56,0x69
.db    0x91,0x98
.db    0xAA,0x8B
.db    0x7B,0x65
.db    0x61,0x72
.db    0x71,0x5B
.db    0x41,0x1D
.db    0x1D,0x29
.db    0x4F,0xBC
.db    0xCF,0xFF
.db    0xDE,0xCD
.db    0x65,0x6A
.db    0x40,0x6B
.db    0x77,0xAA
.db    0xA6,0x99
.db    0x90,0x62
.db    0x60,0x59
.db    0x83,0x84
.db    0x68,0x4C
.db    0x1F,0x27
.db    0x28,0x62
.db    0xAE,0xE5
.db    0xFF,0xDB
.db    0xBF,0x6B
.db    0x6B,0x3E
.db    0x79,0x8B
.db    0xB1,0xAF
.db    0xA8,0x89
.db    0x6D,0x5F
.db    0x6C,0x9E
.db    0x96,0x8D
.db    0x4F,0x24
.db    0x1A,0x12
.db    0x51,0x72
.db    0xD3,0xD4
.db    0xF4,0xAA
.db    0x86,0x5E
.db    0x6C,0x6C
.db    0x88,0xAC
.db    0xA5,0x9A
.db    0x79,0x76
.db    0x57,0x7E
.db    0x83,0xA6
.db    0xA9,0x8F
.db    0x4F,0x27
.db    0x19,0x14
.db    0x55,0x6F
.db    0xCE,0xCA
.db    0xF9,0x9E
.db    0x99,0x5C
.db    0x77,0x63
.db    0x98,0x98
.db    0xB1,0x86
.db    0x88,0x66
.db    0x75,0x79
.db    0x92,0x9C
.db    0xA7,0x97
.db    0x5D,0x3B
.db    0x0D,0x2A
.db    0x24,0x69
.db    0x72,0xD9
.db    0xC1,0xFF
.db    0xAF,0xAB
.db    0x68,0x87
.db    0x64,0x9A
.db    0x96,0xAD
.db    0xA2,0x98
.db    0x80,0x69
.db    0x6A,0x77
.db    0x84,0x89
.db    0xA1,0x8C
.db    0x5B,0x35
.db    0x0F,0x19
.db    0x08,0x47
.db    0x65,0xCC
.db    0xD7,0xFF
.db    0xC2,0xB8
.db    0x73,0x81
.db    0x6F,0x92
.db    0x8C,0xA3
.db    0x87,0x83
.db    0x72,0x6A
.db    0x70,0x7C
.db    0x8B,0x91
.db    0xB8,0x8B
.db    0x81,0x44
.db    0x2D,0x1B
.db    0x18,0x30
.db    0x50,0x7E
.db    0xC0,0xD5
.db    0xCC,0xB9
.db    0x97,0x8F
.db    0x6D,0x88
.db    0x7D,0xA5
.db    0x93,0x9E
.db    0x86,0x8B
.db    0x72,0x6E
.db    0x78,0x81
.db    0xA0,0x88
.db    0x9F,0x51
.db    0x50,0x1A
.db    0x33,0x1A
.db    0x4F,0x66
.db    0xA9,0xBB
.db    0xDA,0xC6
.db    0xA7,0x9B
.db    0x87,0x83
.db    0x81,0x92
.db    0x88,0x92
.db    0x8A,0x83
.db    0x80,0x6D
.db    0x70,0x72
.db    0x87,0x83
.db    0x9C,0x96
.db    0x6C,0x58
.db    0x2F,0x36
.db    0x14,0x36
.db    0x4E,0x74
.db    0xA9,0xCB
.db    0xDE,0xB2
.db    0xB1,0x8D
.db    0x88,0x7E
.db    0x8F,0x92
.db    0x93,0x97
.db    0x90,0x79
.db    0x71,0x69
.db    0x71,0x77
.db    0x8D,0x9B
.db    0x9B,0x97
.db    0x61,0x45
.db    0x1E,0x29
.db    0x20,0x3C
.db    0x60,0x81
.db    0xAD,0xC8
.db    0xD1,0xBC
.db    0xB4,0x9C
.db    0x88,0x80
.db    0x85,0x86
.db    0x92,0x93
.db    0x8D,0x83
.db    0x7A,0x72
.db    0x6A,0x73
.db    0x75,0x7A
.db    0x7D,0x82
.db    0x71,0x6E
.db    0x6A,0x6D
.db    0x64,0x69
.db    0x6E,0x6A
.db    0x72,0x77
.db    0x7B,0x81
.db    0x89,0x8B
.db    0x8F,0x94
.db    0x95,0x95
.db    0x96,0x94
.db    0x8E,0x8B
.db    0x88,0x83
.db    0x80,0x7E
.db    0x7B,0x78
.db    0x78,0x78
.db    0x77,0x79
.db    0x78,0x77
.db    0x78,0x78
.db    0x78,0x79
.db    0x7A,0x7A
.db    0x7B,0x7B
.db    0x7B,0x7C
.db    0x7D,0x7D
.db    0x7E,0x7F
.db    0x80,0x82
.db    0x84,0x85
.db    0x85,0x86
.db    0x85,0x85
.db    0x84,0x85
.db    0x84,0x84
.db    0x84,0x83
.db    0x83,0x82
.db    0x81,0x80
.db    0x80,0x7F
.db    0x7F,0x7E
.db    0x7E,0x7E
.db    0x7E,0x7E
.db    0x7E,0x7E
.db    0x7E,0x7E
.db    0x7E,0x7E
.db    0x7E,0x7E
.db    0x7E,0x7E
.db    0x7E,0x7E
.db    0x7D,0x7D
.db    0x7D,0x7D
.db    0x7D,0x7D
.db    0x7D,0x7E
.db    0x7E,0x7A
.db    0x7E,0x7E
.db    0x7E,0x7E
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x81,0x7E
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x80,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x80,0x7F
.db    0x80,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x7F,0x7F
.db    0x7E,0x7F
.db    0x80,0x80
.db    0x81,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x82,0x7E
.db    0x7F,0x7D
.db    0x80,0x7D
.db    0x7E,0x80
.db    0x80,0x79
.db    0x84,0x7F
.db    0x83,0x85
.db    0xB3,0x77
.db    0x81,0x6F
.db    0x89,0x72
.db    0x81,0x78
.db    0x90,0x73
.db    0x87,0x7A
.db    0x85,0x80
.db    0x74,0x7B
.db    0x77,0x77
.db    0x84,0x7B
.db    0x72,0x85
.db    0x81,0x84
.db    0x8E,0x88
.db    0x8C,0x7E
.db    0x67,0x8F
.db    0x7B,0x8A
.db    0x94,0x7D
.db    0x9E,0xB2
.db    0x7F,0x80
.db    0x75,0x72
.db    0xAE,0x88
.db    0x62,0x84
.db    0x52,0x62
.db    0x85,0x60
.db    0x80,0x79
.db    0x68,0x77
.db    0x86,0x8E
.db    0x89,0x70
.db    0x7C,0x60
.db    0x9F,0x98
.db    0x81,0x94
.db    0x67,0x71
.db    0x92,0x69
.db    0x9F,0x70
.db    0x71,0x91
.db    0x7E,0x8C
.db    0x93,0x6B
.db    0x8A,0x72
.db    0x8C,0x96
.db    0x65,0x84
.db    0x71,0x95
.db    0x70,0x8D
.db    0x8C,0x62
.db    0x70,0x8A
.db    0x77,0x95
.db    0x6E,0x93
.db    0x7E,0x75
.db    0x61,0xA0
.db    0x73,0x83
.db    0x84,0x98
.db    0x8A,0x70
.db    0x83,0x86
.db    0x6E,0x94
.db    0x78,0x9E
.db    0x50,0x7B
.db    0x92,0x71
.db    0x71,0x6A
.db    0x80,0x72
.db    0x86,0x71
.db    0x85,0x82
.db    0x7D,0x80
.db    0xAC,0x62
.db    0x8F,0x6E
.db    0xA2,0x71
.db    0xA3,0x68
.db    0xB6,0x6F
.db    0x7F,0x8C
.db    0x6B,0x61
.db    0x7E,0x8C
.db    0x81,0x7D
.db    0x85,0x84
.db    0x7D,0x6C
.db    0x86,0x83
.db    0x83,0x80
.db    0x9B,0x5D
.db    0x7A,0x82
.db    0x8D,0x7C
.db    0x6F,0x88
.db    0x87,0x83
.db    0x8D,0x8E
.db    0x81,0x75
.db    0x84,0x7A
.db    0x78,0x87
.db    0x8D,0x76
.db    0x74,0x8F
.db    0x76,0x9F
.db    0x83,0x7D
.db    0x86,0x7D
.db    0x7F,0x76
.db    0x7F,0x7D
.db    0x7B,0x81
.db    0x7F,0x81
.db    0x7E,0x98
.db    0x71,0x87
.db    0x95,0x63
.db    0x86,0x7A
.db    0xA5,0x78
.db    0x72,0x7F
.db    0x7E,0x7C
.db    0x90,0x7A
.db    0x83,0x89
.db    0x84,0x6D
.db    0x65,0x81
.db    0x86,0x70
.db    0x89,0x79
.db    0x81,0x86
.db    0x6F,0x7C
.db    0x75,0x88
.db    0x69,0x96
.db    0x7C,0x94
.db    0x6A,0x83
.db    0x84,0x7E
.db    0x84,0x87
.db    0x7E,0x7D
.db    0x7D,0x85
.db    0x88,0x82
.db    0x92,0x71
.db    0x82,0x6E
.db    0x7E,0x74
.db    0x8D,0x6F
.db    0x80,0x87
.db    0x7D,0x7E
.db    0x87,0x7C
.db    0x82,0x88
.db    0x84,0x7A
.db    0x81,0x78
.db    0x7B,0x83
.db    0x82,0x78
.db    0x7A,0x7E
.db    0x80,0x80
.db    0x76,0x94
.db    0x77,0x87
.db    0x7F,0x84
.db    0x85,0x75
.db    0x7D,0x7F
.db    0x89,0x77
.db    0x8B,0x74
.db    0x77,0x8D
.db    0x75,0x84
.db    0x8A,0x87
.db    0x7A,0x80
.db    0x81,0x87
.db    0x76,0x7E
.db    0x79,0x83
.db    0x81,0x81
.db    0x82,0x7E
.db    0x78,0x7C
.db    0x81,0x78
.db    0x81,0x78
.db    0x89,0x7E
.db    0x80,0x7F
.db    0x7D,0x83
.db    0x7D,0x81
.db    0x76,0x86
.db    0x79,0x85
.db    0x7F,0x85
.db    0x7C,0x7D
.db    0x7D,0x7F
.db    0x84,0x7D
.db    0x81,0x7B
.db    0x7F,0x81
.db    0x7E,0x7F
.db    0x7C,0x84
.db    0x7B,0x82
.db    0x7B,0x84
.db    0x7F,0x83
.db    0x7C,0x83
.db    0x7F,0x83
.db    0x7F,0x7F
.db    0x7F,0x7F
.db    0x80,0x7D
.db    0x7F,0x7D
.db    0x80,0x7D
.db    0x7E,0x7E
.db    0x7D,0x80
.db    0x7C,0x82
.db    0x7D,0x81
.db    0x7E,0x82
.db    0x7E,0x80
.db    0x7F,0x81
.db    0x80,0x80
.db    0x7F,0x7F
.db    0x80,0x7D
.db    0x80,0x7E
.db    0x81,0x7D
.db    0x80,0x7D
.db    0x80,0x7E
.db    0x81,0x7F
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x7E,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x7F,0x7F
.db    0x7E,0x80
.db    0x80,0x80
.db    0x80,0x7F
.db    0x7F,0x7F
.db    0x7F,0x80
.db    0x7F,0x80
.db    0x7F,0x7F
.db    0x80,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x7F
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x7F,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
.db    0x80,0x80
 
; *** ISR-Liste ***
;
; Nummer=2    ORG=INT0addr     ISR=INT0          Bemerkung=External Interrupt Request 0
; Nummer=3    ORG=INT1addr     ISR=INT1          Bemerkung=External Interrupt Request 1
; Nummer=4    ORG=OC2addr      ISR=TIMER2_COMP   Bemerkung=Timer/Counter2 Compare Match
; Nummer=5    ORG=OVF2addr     ISR=TIMER2_OVF    Bemerkung=Timer/Counter2 Overflow
; Nummer=6    ORG=ICP1addr     ISR=TIMER1_CAPT   Bemerkung=Timer/Counter1 Capture Event
; Nummer=7    ORG=OC1Aaddr     ISR=TIMER1_COMPA  Bemerkung=Timer/Counter1 Compare Match A
; Nummer=8    ORG=OC1Baddr     ISR=TIMER1_COMPB  Bemerkung=Timer/Counter1 Compare Match B
; Nummer=9    ORG=OVF1addr     ISR=TIMER1_OVF    Bemerkung=Timer/Counter1 Overflow
; Nummer=10   ORG=OVF0addr     ISR=TIMER0_OVF    Bemerkung=Timer/Counter0 Overflow
; Nummer=11   ORG=SPIaddr      ISR=SPI_STC       Bemerkung=Serial Transfer Complete
; Nummer=12   ORG=URXCaddr     ISR=USART_RXC     Bemerkung=USART, Rx Complete
; Nummer=13   ORG=UDREaddr     ISR=USART_UDRE    Bemerkung=USART Data Register Empty
; Nummer=14   ORG=UTXCaddr     ISR=USART_TXC     Bemerkung=USART, Tx Complete
; Nummer=15   ORG=ADCCaddr     ISR=ADC_CC        Bemerkung=ADC Conversion Complete
; Nummer=16   ORG=ERDYaddr     ISR=EE_RDY        Bemerkung=EEPROM Ready
; Nummer=17   ORG=ACIaddr      ISR=ANA_COMP      Bemerkung=Analog Comparator
; Nummer=18   ORG=TWIaddr      ISR=TWI           Bemerkung=Two-wire Serial Interface
; Nummer=19   ORG=SPMRaddr     ISR=SPM_RDY       Bemerkung=Store Program Memory Ready
 
