; Assemblerquelltext des RONPAS-Compilers (c) by Ronald Daleske
; PROGRAM-NAME: TEST_CURR_TO_STR.PAS
 
.nolist
.INCLUDE "m8def.inc"
.list
 
; *** Variablentabelle ***
 
.dseg
 
CURRZAHL:   ; Currency
.byte     8
CURRTOSTR_VZ:   ; Boolean
.byte     1
CURRTOSTR_BO1:   ; Boolean
.byte     1
 
 
 
; *** Codesegment ***
.cseg
 
; *** Sprungtabelle ***
.ORG 0
 
; Sprung in das Hauptprogramm
        RJMP       RESET
 
; PROCEDURE - Anfang (CURRTOSTR)
CURRTOSTR:
 
; IF THEN - Ausdruck erster Faktor / Currency-VAR (CURRZAHL)
        LDS        R16, CURRZAHL
        LDS        R17, CURRZAHL+1
        LDS        R18, CURRZAHL+2
        LDS        R19, CURRZAHL+3
        LDS        R20, CURRZAHL+4
        LDS        R21, CURRZAHL+5
        LDS        R22, CURRZAHL+6
        LDS        R23, CURRZAHL+7
 
; IF THEN - Ausdruck zweiter Faktor / Zahlenwert (100000000000000)
        LDI        R24, 0x00
        LDI        R25, 0x40
        LDI        R26, 0x7A
        LDI        R27, 0x10
        LDI        R28, 0xF3
        LDI        R29, 0x5A
        LDI        R30, 0x00
        LDI        R31, 0x00
 
; Operator >
        RCALL      ASM_UP_VER_B_CURR
        BRCS       M_VERGL_04
        CLR        R16
        RJMP       M_VERGL_05
M_VERGL_04:
        SER        R16
M_VERGL_05:
 
; IF_THEN - Vergleich
        CPI        R16, 0xFF
        BREQ       M_IF_01
        RJMP       M_IF_02
M_IF_01:
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0xFF)
        LDI        R16, 0xFF
 
; Zuweisung Ziel /  VAR (CURRTOSTR_BO1)
        STS        CURRTOSTR_BO1, R16
 
; IF_THEN_ELSE - Sprung ans Ende des ELSE-Abschnitts
        RJMP       M_IF_03
 
; IF_THEN_ELSE - Beginn ELSE-Abschnitt
M_IF_02:
 
; Zuweisung Quelle - Ausdruck / Zahlenwert (0x00)
        LDI        R16, 0x00
 
; Zuweisung Ziel /  VAR (CURRTOSTR_BO1)
        STS        CURRTOSTR_BO1, R16
 
; IF_THEN_ELSE - Ende
M_IF_03:
 
; WHILE DO ...
M_WHILE_06:
 
; WHILE - Ausdruck / Byte-VAR (CURRTOSTR_BO1)
        LDS        R16, CURRTOSTR_BO1
 
; WHILE - Vergleich
        CPI        R16, 0xFF
        BREQ       M_WHILE_07
        RJMP       M_WHILE_08
M_WHILE_07:
 
; WHILE DO ...
        RJMP       M_WHILE_06
M_WHILE_08:
 
; PROCEDURE - Ende (CURRTOSTR)
        RET
 
; Start des Hauptprogramms
RESET:
 
; Initialisieren des Stacks
        LDI        R16, LOW(RAMEND)
        OUT        SPL, R16
        LDI        R16, HIGH(RAMEND)
        OUT        SPH, R16
 
; Aufruf PROCEDURE (CURRTOSTR)
        RCALL      CURRTOSTR
 
; *** Unterprogramm Bibliothek ***
; TOOL 01
; Version 1.0, Stand 24.09.2014
;

; -----------------------------------------
;
; Funktion: - Negation von V1 -> 0-V1

ASM_UP_NEG_V1:

        ; V1 wird in R2..R9 geladen
        MOV        R2,R16
        MOV        R3,R17
        MOV        R4,R18
        MOV        R5,R19
        MOV        R6,R20
        MOV        R7,R21
        MOV        R8,R22
        MOV        R9,R23

        ; R16..R23 wird auf 0 gesetzt
        CLR        R16
        CLR        R17
        CLR        R18
        CLR        R19
        CLR        R20
        CLR        R21
        CLR        R22
        CLR        R23

        ; 0 - V1 -> Ergebnis in V1
        SUB        R16,R2
        SBC        R17,R3
        SBC        R18,R4
        SBC        R19,R5
        SBC        R20,R6
        SBC        R21,R7
        SBC        R22,R8
        SBC        R23,R9

        RET



; -----------------------------------------
;
; Funktion: - Tauschen der beiden Variablen V1+V2

ASM_UP_CHG_V1V2:

; V1 <--> V2
        MOV        R2,R16
        MOV        R16,R24
        MOV        R24,R2

        MOV        R2,R17
        MOV        R17,R25
        MOV        R25,R2

        MOV        R2,R18
        MOV        R18,R26
        MOV        R26,R2

        MOV        R2,R19
        MOV        R19,R27
        MOV        R27,R2

        MOV        R2,R20
        MOV        R20,R28
        MOV        R28,R2

        MOV        R2,R21
        MOV        R21,R29
        MOV        R29,R2

        MOV        R2,R22
        MOV        R22,R30
        MOV        R30,R2

        MOV        R2,R23
        MOV        R23,R31
        MOV        R31,R2

        RET


; -----------------------------------------
;
; Funktion: - Addition der beiden Variablen V1+V2
;           - beide Variablen muessen positiv sein 

ASM_UP_ADD_V1V2:

; Addition von V1+V2 (beide positiv)
        ADD        R16, R24
        ADC        R17, R25
        ADC        R18, R26
        ADC        R19, R27
        ADC        R20, R28
        ADC        R21, R29
        ADC        R22, R30	
        ADC        R23, R31

        RET


; -----------------------------------------
;
; Funktion: - Subtraktion beiden Variablen V1-V2
;           - beide Variablen muessen positiv sein 

ASM_UP_SUB_V1V2:

; Subtraktion von V1-V2 (beide positiv)
        SUB        R16, R24
        SBC        R17, R25
        SBC        R18, R26
        SBC        R19, R27
        SBC        R20, R28
        SBC        R21, R29
        SBC        R22, R30	
        SBC        R23, R31

        RET




; -----------------------------------------
;
; Funktion: - Vergleich beiden Variablen V1-V2
;           - beide Variablen muessen positiv sein 

ASM_UP_VER_V1V2:

; Vergleich von V1-V2 (beide positiv)
        CP         R16, R24
        CPC        R17, R25
        CPC        R18, R26
        CPC        R19, R27
        CPC        R20, R28
        CPC        R21, R29
        CPC        R22, R30	
        CPC        R23, R31

        RET




; -----------------------------------------
;
; Funktion: - testen, ob Variable1 negativ ist
;           - wenn ja, wird R24 (V1_ist_negativ) true (=FF) 
;           - wenn nein, bleibt die Variable1 wie sie ist (eben positiv) 

ASM_UP_POS_V1:

; R24 wird als V1 genutzt
        PUSH       R24
        CLR        R24


        ; ist V1 negativ, so ist das Bit 7 im Register 23=1
        SBRS       R23,7       
        ; ist V1 negativ, so wird dieser Sprung uebersprungen
        RJMP       ASM_UP_POS_V1_A


; ab hier wurde erkannt, dass V1 negativ ist

        ; V1_ist_negativ und wird true -> FF 
        SER        R24

; V1 wird positiv, indem 0-V1 berechnet wird

        ; V1 wird in R2..R9 geladen
        MOV        R2,R16
        MOV        R3,R17
        MOV        R4,R18
        MOV        R5,R19
        MOV        R6,R20
        MOV        R7,R21
        MOV        R8,R22
        MOV        R9,R23

        ; R16..R23 wird auf 0 gesetzt
        CLR        R16
        CLR        R17
        CLR        R18
        CLR        R19
        CLR        R20
        CLR        R21
        CLR        R22
        CLR        R23

        ; 0 - V1 -> Ergebnis in V1
        SUB        R16,R2
        SBC        R17,R3
        SBC        R18,R4
        SBC        R19,R5
        SBC        R20,R6
        SBC        R21,R7
        SBC        R22,R8
        SBC        R23,R9

; ab hier ist V1 sicher positiv
ASM_UP_POS_V1_A:

        ; R0 ist die Variable -> V1_ist_negativ 
        MOV        R0,R24
        POP        R24


        RET




; -----------------------------------------
;
; Funktion: - testen, ob Variable2 negativ ist
;           - wenn ja, wird R16 (V2_ist_negativ) true (=FF) 
;           - wenn nein, bleibt die Variable2 wie sie ist (eben positiv) 

ASM_UP_POS_V2:

; R16 wird als V2 genutzt
        PUSH       R16
        CLR        R16


        ; ist V2 negativ, so ist das Bit 7 im Register 31=1
        SBRS       R31,7       
        ; ist V2 negativ, so wird dieser Sprung uebersprungen
        RJMP       ASM_UP_POS_V2_A


; ab hier wurde erkannt, dass V2 negativ ist

        ; V2_ist_negativ und wird true -> FF 
        SER        R16

; V2 wird positiv, indem 0-V2 berechnet wird

        ; V2 wird in R2..R9 geladen
        MOV        R2,R24
        MOV        R3,R25
        MOV        R4,R26
        MOV        R5,R27
        MOV        R6,R28
        MOV        R7,R29
        MOV        R8,R30
        MOV        R9,R31

        ; R24..R31 wird auf 0 gesetzt
        CLR        R24
        CLR        R25
        CLR        R26
        CLR        R27
        CLR        R28
        CLR        R29
        CLR        R30
        CLR        R31

        ; 0 - V2 -> Ergebnis in V2
        SUB        R24,R2
        SBC        R25,R3
        SBC        R26,R4
        SBC        R27,R5
        SBC        R28,R6
        SBC        R29,R7
        SBC        R30,R8
        SBC        R31,R9

; ab hier ist V2 sicher positiv
ASM_UP_POS_V2_A:

        ; R1 ist die Variable -> V2_ist_negativ 
        MOV        R1,R16
        POP        R16


        RET



; -----------------------------------------







; Vergleich von 2 64-Bit Zahlen (Currency)
; Version 1.0, Stand 24.09.2014
;
; Uebergabe: R16:R17:18:19:R20:R21:22:23 erster Faktor
;            R24:R25:26:27:R28:R29:30:31 zweiter Faktor
; Temporaere Register: R0..R9 
; R0, R1 = Boolean -> true = FF, false = 00
; R0 = V1_ist_negativ
; R1 = V2_ist_negativ


; -----------------------------------------
;
; Funktion: - Vergleich von zwei Currency-Zahlen
;           - Vorzeichen werden beachtet (auch mgliche Subtraktion) 
;           - alle temporaeren Register werden gesichert
;
; V1 > V2 (oder das Gegenteil von V1 < V2 und V1 = V2)
; ausgefuehrt wird V2 < V1 durch Tauschen von V1 mit V2
ASM_UP_VER_B_CURR:

; Retten der genutzten temporaeren Register

        PUSH       R0
        PUSH       R1

        PUSH       R2
        PUSH       R3
        PUSH       R4
        PUSH       R5
        PUSH       R6
        PUSH       R7
        PUSH       R8
        PUSH       R9

; testen, ob Variable1 (V1) negativ ist
; wenn ja wird sie positiv gesetzt und R24/R0 wird true

        RCALL      ASM_UP_POS_V1


; testen, ob Variable2 (V2) negativ ist
; wenn ja wird sie positiv gesetzt und R16/R1 wird true

        RCALL      ASM_UP_POS_V2


; nun werden die einzelnen Operationen nach dem Stand der beiden
; Vorzeichen ausgefuehrt

        CLR        R2
        CP         R0,R2
        BRNE       ASM_UP_VER_B_CURR_A


        CP         R1,R2
        BRNE       ASM_UP_VER_B_CURR_B



; V1 und V2 sind positiv -> d.h. es wird getauscht und ein einfacher Vergleich ausgefuehrt -> (V2-V1)
        RCALL      ASM_UP_CHG_V1V2

        RCALL      ASM_UP_VER_V1V2

        RJMP       ASM_UP_VER_B_CURR_Z


; V1 ist negativ
ASM_UP_VER_B_CURR_A:

        CP         R1,R2
        BRNE       ASM_UP_VER_B_CURR_C


; V1 ist negativ, V2 ist positiv -> d.h. V1 ist immer kleiner als V2
        CLC

        RJMP       ASM_UP_VER_B_CURR_Z


; V1 ist positiv, V2 ist negativ -> d.h. V1 ist immer groesser als V2
ASM_UP_VER_B_CURR_B:
        SEC

        RJMP       ASM_UP_VER_B_CURR_Z


; V1 ist negativ, V2 ist negativ -> d.h. es handelt sich um zwei negative Zahlen
; im Zahlenstrahl verhalten sie sich im Vergleich umgekehrt
; 1. Tauschen entfaellt wg. 2x tauschen
; 2. es wird ein einfacher Vergleich ausgefuehrt -> (V1-V2)
ASM_UP_VER_B_CURR_C:

        RCALL      ASM_UP_VER_V1V2


ASM_UP_VER_B_CURR_Z:

        POP        R9
        POP        R8
        POP        R7
        POP        R6
        POP        R5
        POP        R4
        POP        R3
        POP        R2


        POP        R1
        POP        R0


        RET







 
; *** Namen-Liste ***
;
; CURRZAHL (V) CURRENCY
; CURRTOSTR_VZ (V) BOOLEAN
; CURRTOSTR_BO1 (V) BOOLEAN
; CURRTOSTR (P) 
 
; *** Prozedur/Function-Liste ***
;
; PROCEDURE CURRTOSTR;
 
